## Coding standards

First, `go fmt` must be applied for all Go-sources.

Also we use [golangci-lint](https://golangci-lint.run/) analysis tool. See [.golangci.yml](./.golangci.yml) for enabled linters.
However, some pieces of sources may not pass linter checks and require to refactor. If you cannot resolve these issues, temporarily disable the linter for this confusing code by adding a comment in the following format:

```go
//nolint:linter-name[,linter-name] // explanation why linter is disabled
```

So if you need to find these problem code-blocks search them by pattern:

```shell
nolint:
```

Try do not exclude any linters under configuration for `golangci-lint`, FIX the code instead. __New code MUST meet__ the linter requirements!

## Proto format

As you know there is a tool named `clang-format` which able to format proto-sources. We use it too to support generic formatting. It is a part of [LLVM project](https://llvm.org/). After installing the tool make appropriate settings to your IDE to use `clang-format` on saving the proto-files.

## Generating Go sources

You should install required executable tools before generating Go sources. To do this, run `make bin-tools` under the project root. Note, if you installed these tools for different project, your may need to reinstall it again here.

## Make

Run `make` under the project root without arguments to see provided actions that are automated already.
