// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.21.12
// source: mashroom_offer.proto

package offer

import (
	context "context"

	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// OfferServiceClient is the client API for OfferService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type OfferServiceClient interface {
	Get(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error)
	ListByProperty(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListbyPropertyResponse, error)
	// get offers list of the property for the tenant
	ListByPropertyTenant(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListbyPropertyResponse, error)
	// get offers list of the property for the landlord (without PENDING,CANCELED
	// offers)
	ListByPropertyLandlord(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListbyPropertyResponse, error)
	ListOutgoing(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	ListIncoming(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error)
	// creating offer after landlord sent RENEW intention, without starting zeebe
	// process
	CreateForRenew(ctx context.Context, in *CreateForRenewRequest, opts ...grpc.CallOption) (*CreateResponse, error)
	Submit(ctx context.Context, in *SubmitRequest, opts ...grpc.CallOption) (*SubmitResponse, error)
	Invite(ctx context.Context, in *InviteRequest, opts ...grpc.CallOption) (*InviteResponse, error)
	// Deprecated: Do not use.
	UpdateTenant(ctx context.Context, in *UpdateTenantRequest, opts ...grpc.CallOption) (*UpdateTenantResponse, error)
	// Deprecated: Do not use.
	RemoveTenant(ctx context.Context, in *RemoveTenantRequest, opts ...grpc.CallOption) (*RemoveTenantResponse, error)
	Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*UpdateResponse, error)
	RequestChange(ctx context.Context, in *RequestChangeRequest, opts ...grpc.CallOption) (*RequestChangeResponse, error)
	Accept(ctx context.Context, in *AcceptRequest, opts ...grpc.CallOption) (*AcceptResponse, error)
	Cancel(ctx context.Context, in *CancelRequest, opts ...grpc.CallOption) (*CancelResponse, error)
	Deny(ctx context.Context, in *DenyRequest, opts ...grpc.CallOption) (*DenyResponse, error)
	Check(ctx context.Context, in *CheckRequest, opts ...grpc.CallOption) (*CheckResponse, error)
	RemoveSecondLandlord(ctx context.Context, in *RemoveSecondLandlordRequest, opts ...grpc.CallOption) (*RemoveSecondLandlordResponse, error)
	// Deprecated: Do not use.
	ListNotNotified(ctx context.Context, in *ListNotNotifiedRequest, opts ...grpc.CallOption) (*ListResponse, error)
	// Deprecated: Do not use.
	MarkAsNotified(ctx context.Context, in *MarkAsNotifiedRequest, opts ...grpc.CallOption) (*MarkAsNotifiedResponse, error)
	// Request to add a new guarantor to the current tenant, if tenant has HIGH
	// risk from rentprofile checking, and the landlord decided to check a new
	// guarantor of the failed tenant. Also can be called if the tenant and his
	// guarantor still have HIGH risks.
	RequestRequiredGuarantor(ctx context.Context, in *RequestRequiredGuarantorRequest, opts ...grpc.CallOption) (*RequestRequiredGuarantorResponse, error)
	// Method for the adding new guarantors by tenant, if the offer status is
	// "AWAITING_GUARANTOR"
	AddGuarantors(ctx context.Context, in *AddGuarantorsRequest, opts ...grpc.CallOption) (*AddGuarantorsResponse, error)
	ServicesSelect(ctx context.Context, in *SelectServicesRequest, opts ...grpc.CallOption) (*SelectServicesResponse, error)
	DepositSelect(ctx context.Context, in *DepositSelectRequest, opts ...grpc.CallOption) (*DepositSelectResponse, error)
	ServicesList(ctx context.Context, in *ListServicesRequest, opts ...grpc.CallOption) (*ListServicesResponse, error)
	Payment(ctx context.Context, in *PaymentRequest, opts ...grpc.CallOption) (*PaymentResponse, error)
	StandingOrder(ctx context.Context, in *StandingOrderRequest, opts ...grpc.CallOption) (*StandingOrderResponse, error)
	DirectDebit(ctx context.Context, in *DirectDebitRequest, opts ...grpc.CallOption) (*DirectDebitResponse, error)
	DeleteDocument(ctx context.Context, in *DeleteDocumentRequest, opts ...grpc.CallOption) (*DeleteDocumentResponse, error)
	ListFilter(ctx context.Context, in *ListFilterRequest, opts ...grpc.CallOption) (*ListFilterResponse, error)
	OfferPropertyIDFilter(ctx context.Context, in *OfferPropertyIDFilterRequest, opts ...grpc.CallOption) (*OfferPropertyIDFilterResponse, error)
	ServiceGet(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error)
	ServiceUpdate(ctx context.Context, in *ServiceUpdateRequest, opts ...grpc.CallOption) (*ServiceUpdateResponse, error)
	ServiceApprove(ctx context.Context, in *ApproveRequest, opts ...grpc.CallOption) (*ApproveResponse, error)
	ServicePropertyList(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	OfferCount(ctx context.Context, in *OfferCountRequest, opts ...grpc.CallOption) (*OfferCountResponse, error)
	ServiceOfferCount(ctx context.Context, in *ServiceOfferCountRequest, opts ...grpc.CallOption) (*ServiceOfferCountResponse, error)
	DeleteOffersByProperty(ctx context.Context, in *DeleteOffersByPropertyRequest, opts ...grpc.CallOption) (*DeleteOffersByPropertyResponse, error)
	FinishOffersByProperty(ctx context.Context, in *FinishOffersByPropertyRequest, opts ...grpc.CallOption) (*FinishOffersByPropertyResponse, error)
	DeleteOfferById(ctx context.Context, in *DeleteOfferByIdRequest, opts ...grpc.CallOption) (*DeleteOfferByIdResponse, error)
	RestoreOfferById(ctx context.Context, in *RestoreOfferByIdRequest, opts ...grpc.CallOption) (*RestoreOfferByIdResponse, error)
	RenderCsv(ctx context.Context, in *RenderCsvRequest, opts ...grpc.CallOption) (*RenderCsvResponse, error)
	ExecuteCheck(ctx context.Context, in *ExecuteCheckRequest, opts ...grpc.CallOption) (*CheckResponse, error)
	ServiceRelatedProperties(ctx context.Context, in *ServiceRelatedPropertiesRequest, opts ...grpc.CallOption) (*ServiceRelatedPropertiesResponse, error)
	ServiceListingMigrate(ctx context.Context, in *ServiceListingMigrateRequest, opts ...grpc.CallOption) (*ServiceListingMigrateResponse, error)
	// Updating the results of tenant checks by the identity service.
	TenantCheckUpdate(ctx context.Context, in *TenantCheckUpdateRequest, opts ...grpc.CallOption) (*TenantCheckUpdateResponse, error)
	// SetRiskReport forces to update reference to Rentprofile PDF report
	// for tenant or guarantor.
	SetRiskReport(ctx context.Context, in *SetRiskReportRequest, opts ...grpc.CallOption) (*SetRiskReportResponse, error)
	// Add new contract clause (For MVP only landlord has the opportunity to add
	// clauses)
	AddContractClause(ctx context.Context, in *AddContractClauseRequest, opts ...grpc.CallOption) (*AddContractClauseResponse, error)
	// Edit a text of a contract clause / remove clause from clauses list.(For MVP
	// only landlord has the opportunity to edit a text/remove a clause)
	UpdateContractClauses(ctx context.Context, in *UpdateContractClausesRequest, opts ...grpc.CallOption) (*UpdateContractClausesResponse, error)
	// Accept or deny a proposed contract clause. (For MVP only tenant has the
	// opportunity for accepting/denying)
	ChangeStateContractClauses(ctx context.Context, in *ChangeStateContractClausesRequest, opts ...grpc.CallOption) (*ChangeStateContractClausesResponse, error)
	// Progress to signing after reviewing and clauses. Works only in
	// CONTRACT_REVIEW_AND_CLAUSES status and if there are not clauses in the
	// PENDING status.
	ProgressToSigning(ctx context.Context, in *ProgressToSigningRequest, opts ...grpc.CallOption) (*ProgressToSigningResponse, error)
	// To renew tenancy. Create new offer based on current one.
	RenewTenancy(ctx context.Context, in *RenewTenancyRequest, opts ...grpc.CallOption) (*RenewTenancyResponse, error)
	AcceptUpdate(ctx context.Context, in *AcceptUpdateRequest, opts ...grpc.CallOption) (*AcceptUpdateResponse, error)
	// The offer draft contract updating by admin tools. Updating only in
	// CONTRACT_REVIEW_AND_CLAUSES status.
	UpdateDraftContract(ctx context.Context, in *UpdateDraftContractRequest, opts ...grpc.CallOption) (*UpdateDraftContractResponse, error)
	// To skip the offer referencing stage by admin tools
	SkipReferencingStage(ctx context.Context, in *SkipReferencingStageRequest, opts ...grpc.CallOption) (*SkipReferencingStageResponse, error)
	// To skip the holding deposit by admin tools
	SkipHoldingDeposit(ctx context.Context, in *SkipHoldingDepositRequest, opts ...grpc.CallOption) (*SkipHoldingDepositResponse, error)
	// Deprecated: Do not use.
	// Scheduled payments methods for rent and deposit
	ScheduledPaymentList(ctx context.Context, in *ScheduledPaymentListRequest, opts ...grpc.CallOption) (*ScheduledPaymentListResponse, error)
	// Deprecated: Do not use.
	FilterScheduledPayments(ctx context.Context, in *FilterScheduledPaymentsRequest, opts ...grpc.CallOption) (*ScheduledPaymentListResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentAdvanceCreate(ctx context.Context, in *ScheduledPaymentAdvanceCreateRequest, opts ...grpc.CallOption) (*ScheduledPaymentAdvanceCreateResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentAdvanceCancel(ctx context.Context, in *ScheduledPaymentAdvanceCancelRequest, opts ...grpc.CallOption) (*ScheduledPaymentAdvanceCancelResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentSave(ctx context.Context, in *ScheduledPaymentSaveRequest, opts ...grpc.CallOption) (*ScheduledPaymentSaveResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentPay(ctx context.Context, in *ScheduledPaymentPayRequest, opts ...grpc.CallOption) (*ScheduledPaymentPayResponse, error)
	// Deprecated: Do not use.
	FilterScheduledDeposites(ctx context.Context, in *FilterScheduledDepositesRequest, opts ...grpc.CallOption) (*FilterScheduledDepositesResponse, error)
	// Deprecated: Do not use.
	ScheduledDepositUpdate(ctx context.Context, in *ScheduledDepositUpdateRequest, opts ...grpc.CallOption) (*ScheduledDepositUpdateResponse, error)
	// Changelog
	ChangeLogChangeUserName(ctx context.Context, in *ChangelogUserNameRequest, opts ...grpc.CallOption) (*ChangelogGenericResponse, error)
	ChangeLogAdd(ctx context.Context, in *ChangelogRequest, opts ...grpc.CallOption) (*ChangelogGenericResponse, error)
	// Creation a payment for payout from the platform.
	Payout(ctx context.Context, in *PayoutRequest, opts ...grpc.CallOption) (*PayoutResponse, error)
	ServiceTerminate(ctx context.Context, in *ServiceTerminateRequest, opts ...grpc.CallOption) (*ServiceTerminateResponse, error)
	// Deprecated: Do not use.
	ServiceCompleteCheck(ctx context.Context, in *ServiceCompleteCheckRequest, opts ...grpc.CallOption) (*ServiceCompleteCheckResponse, error)
	// Return offer to contract review stage by admin tools
	CancelSigningStage(ctx context.Context, in *CancelSigningStageRequest, opts ...grpc.CallOption) (*CancelSigningStageResponse, error)
	// Set admin in offer model + in property and invoices associated with the
	// offer
	SetAdmin(ctx context.Context, in *SetAdminRequest, opts ...grpc.CallOption) (*SetAdminResponse, error)
	// Set admin in offer model
	ServiceSetAdmin(ctx context.Context, in *ServiceSetAdminRequest, opts ...grpc.CallOption) (*ServiceSetAdminResponse, error)
	// Update LL info in active offers (before contract signing)
	ServiceUpdateOffersLL(ctx context.Context, in *ServiceUpdateOffersLLRequest, opts ...grpc.CallOption) (*ServiceUpdateOffersLLResponse, error)
	// HOTFIX: generate rent plan insurance manually (for DEVs)
	GenerateRentPlanInsurances(ctx context.Context, in *GenerateRentPlanInsurancesRequest, opts ...grpc.CallOption) (*GenerateRentPlanInsurancesResponse, error)
	// HOTFIX: generate rent invoices manually (for DEVs)
	GenerateRentInvoices(ctx context.Context, in *GenerateRentInvoicesRequest, opts ...grpc.CallOption) (*GenerateRentInvoicesResponse, error)
	GenerateRentRecords(ctx context.Context, in *GenerateRentRecordsRequest, opts ...grpc.CallOption) (*GenerateRentRecordsResponse, error)
	SignatureCallbackHandler(ctx context.Context, in *SignatureCallbackHandlerRequest, opts ...grpc.CallOption) (*SignatureCallbackHandlerResponse, error)
}

type offerServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewOfferServiceClient(cc grpc.ClientConnInterface) OfferServiceClient {
	return &offerServiceClient{cc}
}

func (c *offerServiceClient) Get(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error) {
	out := new(GetResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListByProperty(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListbyPropertyResponse, error) {
	out := new(ListbyPropertyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListByProperty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListByPropertyTenant(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListbyPropertyResponse, error) {
	out := new(ListbyPropertyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListByPropertyTenant", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListByPropertyLandlord(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListbyPropertyResponse, error) {
	out := new(ListbyPropertyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListByPropertyLandlord", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOutgoing(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListOutgoing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListIncoming(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListIncoming", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error) {
	out := new(CreateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) CreateForRenew(ctx context.Context, in *CreateForRenewRequest, opts ...grpc.CallOption) (*CreateResponse, error) {
	out := new(CreateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/CreateForRenew", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Submit(ctx context.Context, in *SubmitRequest, opts ...grpc.CallOption) (*SubmitResponse, error) {
	out := new(SubmitResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Submit", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Invite(ctx context.Context, in *InviteRequest, opts ...grpc.CallOption) (*InviteResponse, error) {
	out := new(InviteResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Invite", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) UpdateTenant(ctx context.Context, in *UpdateTenantRequest, opts ...grpc.CallOption) (*UpdateTenantResponse, error) {
	out := new(UpdateTenantResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/UpdateTenant", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) RemoveTenant(ctx context.Context, in *RemoveTenantRequest, opts ...grpc.CallOption) (*RemoveTenantResponse, error) {
	out := new(RemoveTenantResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RemoveTenant", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*UpdateResponse, error) {
	out := new(UpdateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RequestChange(ctx context.Context, in *RequestChangeRequest, opts ...grpc.CallOption) (*RequestChangeResponse, error) {
	out := new(RequestChangeResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RequestChange", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Accept(ctx context.Context, in *AcceptRequest, opts ...grpc.CallOption) (*AcceptResponse, error) {
	out := new(AcceptResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Accept", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Cancel(ctx context.Context, in *CancelRequest, opts ...grpc.CallOption) (*CancelResponse, error) {
	out := new(CancelResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Cancel", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Deny(ctx context.Context, in *DenyRequest, opts ...grpc.CallOption) (*DenyResponse, error) {
	out := new(DenyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Deny", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Check(ctx context.Context, in *CheckRequest, opts ...grpc.CallOption) (*CheckResponse, error) {
	out := new(CheckResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Check", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RemoveSecondLandlord(ctx context.Context, in *RemoveSecondLandlordRequest, opts ...grpc.CallOption) (*RemoveSecondLandlordResponse, error) {
	out := new(RemoveSecondLandlordResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RemoveSecondLandlord", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ListNotNotified(ctx context.Context, in *ListNotNotifiedRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListNotNotified", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) MarkAsNotified(ctx context.Context, in *MarkAsNotifiedRequest, opts ...grpc.CallOption) (*MarkAsNotifiedResponse, error) {
	out := new(MarkAsNotifiedResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/MarkAsNotified", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RequestRequiredGuarantor(ctx context.Context, in *RequestRequiredGuarantorRequest, opts ...grpc.CallOption) (*RequestRequiredGuarantorResponse, error) {
	out := new(RequestRequiredGuarantorResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RequestRequiredGuarantor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) AddGuarantors(ctx context.Context, in *AddGuarantorsRequest, opts ...grpc.CallOption) (*AddGuarantorsResponse, error) {
	out := new(AddGuarantorsResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/AddGuarantors", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServicesSelect(ctx context.Context, in *SelectServicesRequest, opts ...grpc.CallOption) (*SelectServicesResponse, error) {
	out := new(SelectServicesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServicesSelect", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) DepositSelect(ctx context.Context, in *DepositSelectRequest, opts ...grpc.CallOption) (*DepositSelectResponse, error) {
	out := new(DepositSelectResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/DepositSelect", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServicesList(ctx context.Context, in *ListServicesRequest, opts ...grpc.CallOption) (*ListServicesResponse, error) {
	out := new(ListServicesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServicesList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Payment(ctx context.Context, in *PaymentRequest, opts ...grpc.CallOption) (*PaymentResponse, error) {
	out := new(PaymentResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Payment", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) StandingOrder(ctx context.Context, in *StandingOrderRequest, opts ...grpc.CallOption) (*StandingOrderResponse, error) {
	out := new(StandingOrderResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/StandingOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) DirectDebit(ctx context.Context, in *DirectDebitRequest, opts ...grpc.CallOption) (*DirectDebitResponse, error) {
	out := new(DirectDebitResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/DirectDebit", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) DeleteDocument(ctx context.Context, in *DeleteDocumentRequest, opts ...grpc.CallOption) (*DeleteDocumentResponse, error) {
	out := new(DeleteDocumentResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/DeleteDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListFilter(ctx context.Context, in *ListFilterRequest, opts ...grpc.CallOption) (*ListFilterResponse, error) {
	out := new(ListFilterResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ListFilter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) OfferPropertyIDFilter(ctx context.Context, in *OfferPropertyIDFilterRequest, opts ...grpc.CallOption) (*OfferPropertyIDFilterResponse, error) {
	out := new(OfferPropertyIDFilterResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/OfferPropertyIDFilter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceGet(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error) {
	out := new(GetResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceGet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceUpdate(ctx context.Context, in *ServiceUpdateRequest, opts ...grpc.CallOption) (*ServiceUpdateResponse, error) {
	out := new(ServiceUpdateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceUpdate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceApprove(ctx context.Context, in *ApproveRequest, opts ...grpc.CallOption) (*ApproveResponse, error) {
	out := new(ApproveResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceApprove", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServicePropertyList(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServicePropertyList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) OfferCount(ctx context.Context, in *OfferCountRequest, opts ...grpc.CallOption) (*OfferCountResponse, error) {
	out := new(OfferCountResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/OfferCount", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceOfferCount(ctx context.Context, in *ServiceOfferCountRequest, opts ...grpc.CallOption) (*ServiceOfferCountResponse, error) {
	out := new(ServiceOfferCountResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceOfferCount", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) DeleteOffersByProperty(ctx context.Context, in *DeleteOffersByPropertyRequest, opts ...grpc.CallOption) (*DeleteOffersByPropertyResponse, error) {
	out := new(DeleteOffersByPropertyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/DeleteOffersByProperty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) FinishOffersByProperty(ctx context.Context, in *FinishOffersByPropertyRequest, opts ...grpc.CallOption) (*FinishOffersByPropertyResponse, error) {
	out := new(FinishOffersByPropertyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/FinishOffersByProperty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) DeleteOfferById(ctx context.Context, in *DeleteOfferByIdRequest, opts ...grpc.CallOption) (*DeleteOfferByIdResponse, error) {
	out := new(DeleteOfferByIdResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/DeleteOfferById", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RestoreOfferById(ctx context.Context, in *RestoreOfferByIdRequest, opts ...grpc.CallOption) (*RestoreOfferByIdResponse, error) {
	out := new(RestoreOfferByIdResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RestoreOfferById", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RenderCsv(ctx context.Context, in *RenderCsvRequest, opts ...grpc.CallOption) (*RenderCsvResponse, error) {
	out := new(RenderCsvResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RenderCsv", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ExecuteCheck(ctx context.Context, in *ExecuteCheckRequest, opts ...grpc.CallOption) (*CheckResponse, error) {
	out := new(CheckResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ExecuteCheck", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceRelatedProperties(ctx context.Context, in *ServiceRelatedPropertiesRequest, opts ...grpc.CallOption) (*ServiceRelatedPropertiesResponse, error) {
	out := new(ServiceRelatedPropertiesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceRelatedProperties", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceListingMigrate(ctx context.Context, in *ServiceListingMigrateRequest, opts ...grpc.CallOption) (*ServiceListingMigrateResponse, error) {
	out := new(ServiceListingMigrateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceListingMigrate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) TenantCheckUpdate(ctx context.Context, in *TenantCheckUpdateRequest, opts ...grpc.CallOption) (*TenantCheckUpdateResponse, error) {
	out := new(TenantCheckUpdateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/TenantCheckUpdate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) SetRiskReport(ctx context.Context, in *SetRiskReportRequest, opts ...grpc.CallOption) (*SetRiskReportResponse, error) {
	out := new(SetRiskReportResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/SetRiskReport", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) AddContractClause(ctx context.Context, in *AddContractClauseRequest, opts ...grpc.CallOption) (*AddContractClauseResponse, error) {
	out := new(AddContractClauseResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/AddContractClause", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) UpdateContractClauses(ctx context.Context, in *UpdateContractClausesRequest, opts ...grpc.CallOption) (*UpdateContractClausesResponse, error) {
	out := new(UpdateContractClausesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/UpdateContractClauses", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ChangeStateContractClauses(ctx context.Context, in *ChangeStateContractClausesRequest, opts ...grpc.CallOption) (*ChangeStateContractClausesResponse, error) {
	out := new(ChangeStateContractClausesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ChangeStateContractClauses", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ProgressToSigning(ctx context.Context, in *ProgressToSigningRequest, opts ...grpc.CallOption) (*ProgressToSigningResponse, error) {
	out := new(ProgressToSigningResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ProgressToSigning", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RenewTenancy(ctx context.Context, in *RenewTenancyRequest, opts ...grpc.CallOption) (*RenewTenancyResponse, error) {
	out := new(RenewTenancyResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/RenewTenancy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) AcceptUpdate(ctx context.Context, in *AcceptUpdateRequest, opts ...grpc.CallOption) (*AcceptUpdateResponse, error) {
	out := new(AcceptUpdateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/AcceptUpdate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) UpdateDraftContract(ctx context.Context, in *UpdateDraftContractRequest, opts ...grpc.CallOption) (*UpdateDraftContractResponse, error) {
	out := new(UpdateDraftContractResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/UpdateDraftContract", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) SkipReferencingStage(ctx context.Context, in *SkipReferencingStageRequest, opts ...grpc.CallOption) (*SkipReferencingStageResponse, error) {
	out := new(SkipReferencingStageResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/SkipReferencingStage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) SkipHoldingDeposit(ctx context.Context, in *SkipHoldingDepositRequest, opts ...grpc.CallOption) (*SkipHoldingDepositResponse, error) {
	out := new(SkipHoldingDepositResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/SkipHoldingDeposit", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ScheduledPaymentList(ctx context.Context, in *ScheduledPaymentListRequest, opts ...grpc.CallOption) (*ScheduledPaymentListResponse, error) {
	out := new(ScheduledPaymentListResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ScheduledPaymentList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) FilterScheduledPayments(ctx context.Context, in *FilterScheduledPaymentsRequest, opts ...grpc.CallOption) (*ScheduledPaymentListResponse, error) {
	out := new(ScheduledPaymentListResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/FilterScheduledPayments", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ScheduledPaymentAdvanceCreate(ctx context.Context, in *ScheduledPaymentAdvanceCreateRequest, opts ...grpc.CallOption) (*ScheduledPaymentAdvanceCreateResponse, error) {
	out := new(ScheduledPaymentAdvanceCreateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ScheduledPaymentAdvanceCreate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ScheduledPaymentAdvanceCancel(ctx context.Context, in *ScheduledPaymentAdvanceCancelRequest, opts ...grpc.CallOption) (*ScheduledPaymentAdvanceCancelResponse, error) {
	out := new(ScheduledPaymentAdvanceCancelResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ScheduledPaymentAdvanceCancel", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ScheduledPaymentSave(ctx context.Context, in *ScheduledPaymentSaveRequest, opts ...grpc.CallOption) (*ScheduledPaymentSaveResponse, error) {
	out := new(ScheduledPaymentSaveResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ScheduledPaymentSave", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ScheduledPaymentPay(ctx context.Context, in *ScheduledPaymentPayRequest, opts ...grpc.CallOption) (*ScheduledPaymentPayResponse, error) {
	out := new(ScheduledPaymentPayResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ScheduledPaymentPay", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) FilterScheduledDeposites(ctx context.Context, in *FilterScheduledDepositesRequest, opts ...grpc.CallOption) (*FilterScheduledDepositesResponse, error) {
	out := new(FilterScheduledDepositesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/FilterScheduledDeposites", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ScheduledDepositUpdate(ctx context.Context, in *ScheduledDepositUpdateRequest, opts ...grpc.CallOption) (*ScheduledDepositUpdateResponse, error) {
	out := new(ScheduledDepositUpdateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ScheduledDepositUpdate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ChangeLogChangeUserName(ctx context.Context, in *ChangelogUserNameRequest, opts ...grpc.CallOption) (*ChangelogGenericResponse, error) {
	out := new(ChangelogGenericResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ChangeLogChangeUserName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ChangeLogAdd(ctx context.Context, in *ChangelogRequest, opts ...grpc.CallOption) (*ChangelogGenericResponse, error) {
	out := new(ChangelogGenericResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ChangeLogAdd", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) Payout(ctx context.Context, in *PayoutRequest, opts ...grpc.CallOption) (*PayoutResponse, error) {
	out := new(PayoutResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/Payout", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceTerminate(ctx context.Context, in *ServiceTerminateRequest, opts ...grpc.CallOption) (*ServiceTerminateResponse, error) {
	out := new(ServiceTerminateResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceTerminate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *offerServiceClient) ServiceCompleteCheck(ctx context.Context, in *ServiceCompleteCheckRequest, opts ...grpc.CallOption) (*ServiceCompleteCheckResponse, error) {
	out := new(ServiceCompleteCheckResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceCompleteCheck", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) CancelSigningStage(ctx context.Context, in *CancelSigningStageRequest, opts ...grpc.CallOption) (*CancelSigningStageResponse, error) {
	out := new(CancelSigningStageResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/CancelSigningStage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) SetAdmin(ctx context.Context, in *SetAdminRequest, opts ...grpc.CallOption) (*SetAdminResponse, error) {
	out := new(SetAdminResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/SetAdmin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceSetAdmin(ctx context.Context, in *ServiceSetAdminRequest, opts ...grpc.CallOption) (*ServiceSetAdminResponse, error) {
	out := new(ServiceSetAdminResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceSetAdmin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ServiceUpdateOffersLL(ctx context.Context, in *ServiceUpdateOffersLLRequest, opts ...grpc.CallOption) (*ServiceUpdateOffersLLResponse, error) {
	out := new(ServiceUpdateOffersLLResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/ServiceUpdateOffersLL", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) GenerateRentPlanInsurances(ctx context.Context, in *GenerateRentPlanInsurancesRequest, opts ...grpc.CallOption) (*GenerateRentPlanInsurancesResponse, error) {
	out := new(GenerateRentPlanInsurancesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/GenerateRentPlanInsurances", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) GenerateRentInvoices(ctx context.Context, in *GenerateRentInvoicesRequest, opts ...grpc.CallOption) (*GenerateRentInvoicesResponse, error) {
	out := new(GenerateRentInvoicesResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/GenerateRentInvoices", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) GenerateRentRecords(ctx context.Context, in *GenerateRentRecordsRequest, opts ...grpc.CallOption) (*GenerateRentRecordsResponse, error) {
	out := new(GenerateRentRecordsResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/GenerateRentRecords", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) SignatureCallbackHandler(ctx context.Context, in *SignatureCallbackHandlerRequest, opts ...grpc.CallOption) (*SignatureCallbackHandlerResponse, error) {
	out := new(SignatureCallbackHandlerResponse)
	err := c.cc.Invoke(ctx, "/mashroom.offer.OfferService/SignatureCallbackHandler", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// OfferServiceServer is the server API for OfferService service.
// All implementations must embed UnimplementedOfferServiceServer
// for forward compatibility
type OfferServiceServer interface {
	Get(context.Context, *GetRequest) (*GetResponse, error)
	ListByProperty(context.Context, *ListRequest) (*ListbyPropertyResponse, error)
	// get offers list of the property for the tenant
	ListByPropertyTenant(context.Context, *ListRequest) (*ListbyPropertyResponse, error)
	// get offers list of the property for the landlord (without PENDING,CANCELED
	// offers)
	ListByPropertyLandlord(context.Context, *ListRequest) (*ListbyPropertyResponse, error)
	ListOutgoing(context.Context, *ListRequest) (*ListResponse, error)
	ListIncoming(context.Context, *ListRequest) (*ListResponse, error)
	Create(context.Context, *CreateRequest) (*CreateResponse, error)
	// creating offer after landlord sent RENEW intention, without starting zeebe
	// process
	CreateForRenew(context.Context, *CreateForRenewRequest) (*CreateResponse, error)
	Submit(context.Context, *SubmitRequest) (*SubmitResponse, error)
	Invite(context.Context, *InviteRequest) (*InviteResponse, error)
	// Deprecated: Do not use.
	UpdateTenant(context.Context, *UpdateTenantRequest) (*UpdateTenantResponse, error)
	// Deprecated: Do not use.
	RemoveTenant(context.Context, *RemoveTenantRequest) (*RemoveTenantResponse, error)
	Update(context.Context, *UpdateRequest) (*UpdateResponse, error)
	RequestChange(context.Context, *RequestChangeRequest) (*RequestChangeResponse, error)
	Accept(context.Context, *AcceptRequest) (*AcceptResponse, error)
	Cancel(context.Context, *CancelRequest) (*CancelResponse, error)
	Deny(context.Context, *DenyRequest) (*DenyResponse, error)
	Check(context.Context, *CheckRequest) (*CheckResponse, error)
	RemoveSecondLandlord(context.Context, *RemoveSecondLandlordRequest) (*RemoveSecondLandlordResponse, error)
	// Deprecated: Do not use.
	ListNotNotified(context.Context, *ListNotNotifiedRequest) (*ListResponse, error)
	// Deprecated: Do not use.
	MarkAsNotified(context.Context, *MarkAsNotifiedRequest) (*MarkAsNotifiedResponse, error)
	// Request to add a new guarantor to the current tenant, if tenant has HIGH
	// risk from rentprofile checking, and the landlord decided to check a new
	// guarantor of the failed tenant. Also can be called if the tenant and his
	// guarantor still have HIGH risks.
	RequestRequiredGuarantor(context.Context, *RequestRequiredGuarantorRequest) (*RequestRequiredGuarantorResponse, error)
	// Method for the adding new guarantors by tenant, if the offer status is
	// "AWAITING_GUARANTOR"
	AddGuarantors(context.Context, *AddGuarantorsRequest) (*AddGuarantorsResponse, error)
	ServicesSelect(context.Context, *SelectServicesRequest) (*SelectServicesResponse, error)
	DepositSelect(context.Context, *DepositSelectRequest) (*DepositSelectResponse, error)
	ServicesList(context.Context, *ListServicesRequest) (*ListServicesResponse, error)
	Payment(context.Context, *PaymentRequest) (*PaymentResponse, error)
	StandingOrder(context.Context, *StandingOrderRequest) (*StandingOrderResponse, error)
	DirectDebit(context.Context, *DirectDebitRequest) (*DirectDebitResponse, error)
	DeleteDocument(context.Context, *DeleteDocumentRequest) (*DeleteDocumentResponse, error)
	ListFilter(context.Context, *ListFilterRequest) (*ListFilterResponse, error)
	OfferPropertyIDFilter(context.Context, *OfferPropertyIDFilterRequest) (*OfferPropertyIDFilterResponse, error)
	ServiceGet(context.Context, *GetRequest) (*GetResponse, error)
	ServiceUpdate(context.Context, *ServiceUpdateRequest) (*ServiceUpdateResponse, error)
	ServiceApprove(context.Context, *ApproveRequest) (*ApproveResponse, error)
	ServicePropertyList(context.Context, *ListRequest) (*ListResponse, error)
	OfferCount(context.Context, *OfferCountRequest) (*OfferCountResponse, error)
	ServiceOfferCount(context.Context, *ServiceOfferCountRequest) (*ServiceOfferCountResponse, error)
	DeleteOffersByProperty(context.Context, *DeleteOffersByPropertyRequest) (*DeleteOffersByPropertyResponse, error)
	FinishOffersByProperty(context.Context, *FinishOffersByPropertyRequest) (*FinishOffersByPropertyResponse, error)
	DeleteOfferById(context.Context, *DeleteOfferByIdRequest) (*DeleteOfferByIdResponse, error)
	RestoreOfferById(context.Context, *RestoreOfferByIdRequest) (*RestoreOfferByIdResponse, error)
	RenderCsv(context.Context, *RenderCsvRequest) (*RenderCsvResponse, error)
	ExecuteCheck(context.Context, *ExecuteCheckRequest) (*CheckResponse, error)
	ServiceRelatedProperties(context.Context, *ServiceRelatedPropertiesRequest) (*ServiceRelatedPropertiesResponse, error)
	ServiceListingMigrate(context.Context, *ServiceListingMigrateRequest) (*ServiceListingMigrateResponse, error)
	// Updating the results of tenant checks by the identity service.
	TenantCheckUpdate(context.Context, *TenantCheckUpdateRequest) (*TenantCheckUpdateResponse, error)
	// SetRiskReport forces to update reference to Rentprofile PDF report
	// for tenant or guarantor.
	SetRiskReport(context.Context, *SetRiskReportRequest) (*SetRiskReportResponse, error)
	// Add new contract clause (For MVP only landlord has the opportunity to add
	// clauses)
	AddContractClause(context.Context, *AddContractClauseRequest) (*AddContractClauseResponse, error)
	// Edit a text of a contract clause / remove clause from clauses list.(For MVP
	// only landlord has the opportunity to edit a text/remove a clause)
	UpdateContractClauses(context.Context, *UpdateContractClausesRequest) (*UpdateContractClausesResponse, error)
	// Accept or deny a proposed contract clause. (For MVP only tenant has the
	// opportunity for accepting/denying)
	ChangeStateContractClauses(context.Context, *ChangeStateContractClausesRequest) (*ChangeStateContractClausesResponse, error)
	// Progress to signing after reviewing and clauses. Works only in
	// CONTRACT_REVIEW_AND_CLAUSES status and if there are not clauses in the
	// PENDING status.
	ProgressToSigning(context.Context, *ProgressToSigningRequest) (*ProgressToSigningResponse, error)
	// To renew tenancy. Create new offer based on current one.
	RenewTenancy(context.Context, *RenewTenancyRequest) (*RenewTenancyResponse, error)
	AcceptUpdate(context.Context, *AcceptUpdateRequest) (*AcceptUpdateResponse, error)
	// The offer draft contract updating by admin tools. Updating only in
	// CONTRACT_REVIEW_AND_CLAUSES status.
	UpdateDraftContract(context.Context, *UpdateDraftContractRequest) (*UpdateDraftContractResponse, error)
	// To skip the offer referencing stage by admin tools
	SkipReferencingStage(context.Context, *SkipReferencingStageRequest) (*SkipReferencingStageResponse, error)
	// To skip the holding deposit by admin tools
	SkipHoldingDeposit(context.Context, *SkipHoldingDepositRequest) (*SkipHoldingDepositResponse, error)
	// Deprecated: Do not use.
	// Scheduled payments methods for rent and deposit
	ScheduledPaymentList(context.Context, *ScheduledPaymentListRequest) (*ScheduledPaymentListResponse, error)
	// Deprecated: Do not use.
	FilterScheduledPayments(context.Context, *FilterScheduledPaymentsRequest) (*ScheduledPaymentListResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentAdvanceCreate(context.Context, *ScheduledPaymentAdvanceCreateRequest) (*ScheduledPaymentAdvanceCreateResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentAdvanceCancel(context.Context, *ScheduledPaymentAdvanceCancelRequest) (*ScheduledPaymentAdvanceCancelResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentSave(context.Context, *ScheduledPaymentSaveRequest) (*ScheduledPaymentSaveResponse, error)
	// Deprecated: Do not use.
	ScheduledPaymentPay(context.Context, *ScheduledPaymentPayRequest) (*ScheduledPaymentPayResponse, error)
	// Deprecated: Do not use.
	FilterScheduledDeposites(context.Context, *FilterScheduledDepositesRequest) (*FilterScheduledDepositesResponse, error)
	// Deprecated: Do not use.
	ScheduledDepositUpdate(context.Context, *ScheduledDepositUpdateRequest) (*ScheduledDepositUpdateResponse, error)
	// Changelog
	ChangeLogChangeUserName(context.Context, *ChangelogUserNameRequest) (*ChangelogGenericResponse, error)
	ChangeLogAdd(context.Context, *ChangelogRequest) (*ChangelogGenericResponse, error)
	// Creation a payment for payout from the platform.
	Payout(context.Context, *PayoutRequest) (*PayoutResponse, error)
	ServiceTerminate(context.Context, *ServiceTerminateRequest) (*ServiceTerminateResponse, error)
	// Deprecated: Do not use.
	ServiceCompleteCheck(context.Context, *ServiceCompleteCheckRequest) (*ServiceCompleteCheckResponse, error)
	// Return offer to contract review stage by admin tools
	CancelSigningStage(context.Context, *CancelSigningStageRequest) (*CancelSigningStageResponse, error)
	// Set admin in offer model + in property and invoices associated with the
	// offer
	SetAdmin(context.Context, *SetAdminRequest) (*SetAdminResponse, error)
	// Set admin in offer model
	ServiceSetAdmin(context.Context, *ServiceSetAdminRequest) (*ServiceSetAdminResponse, error)
	// Update LL info in active offers (before contract signing)
	ServiceUpdateOffersLL(context.Context, *ServiceUpdateOffersLLRequest) (*ServiceUpdateOffersLLResponse, error)
	// HOTFIX: generate rent plan insurance manually (for DEVs)
	GenerateRentPlanInsurances(context.Context, *GenerateRentPlanInsurancesRequest) (*GenerateRentPlanInsurancesResponse, error)
	// HOTFIX: generate rent invoices manually (for DEVs)
	GenerateRentInvoices(context.Context, *GenerateRentInvoicesRequest) (*GenerateRentInvoicesResponse, error)
	GenerateRentRecords(context.Context, *GenerateRentRecordsRequest) (*GenerateRentRecordsResponse, error)
	SignatureCallbackHandler(context.Context, *SignatureCallbackHandlerRequest) (*SignatureCallbackHandlerResponse, error)
	mustEmbedUnimplementedOfferServiceServer()
}

// UnimplementedOfferServiceServer must be embedded to have forward compatible implementations.
type UnimplementedOfferServiceServer struct {
}

func (UnimplementedOfferServiceServer) Get(context.Context, *GetRequest) (*GetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (UnimplementedOfferServiceServer) ListByProperty(context.Context, *ListRequest) (*ListbyPropertyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListByProperty not implemented")
}
func (UnimplementedOfferServiceServer) ListByPropertyTenant(context.Context, *ListRequest) (*ListbyPropertyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListByPropertyTenant not implemented")
}
func (UnimplementedOfferServiceServer) ListByPropertyLandlord(context.Context, *ListRequest) (*ListbyPropertyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListByPropertyLandlord not implemented")
}
func (UnimplementedOfferServiceServer) ListOutgoing(context.Context, *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOutgoing not implemented")
}
func (UnimplementedOfferServiceServer) ListIncoming(context.Context, *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListIncoming not implemented")
}
func (UnimplementedOfferServiceServer) Create(context.Context, *CreateRequest) (*CreateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (UnimplementedOfferServiceServer) CreateForRenew(context.Context, *CreateForRenewRequest) (*CreateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateForRenew not implemented")
}
func (UnimplementedOfferServiceServer) Submit(context.Context, *SubmitRequest) (*SubmitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Submit not implemented")
}
func (UnimplementedOfferServiceServer) Invite(context.Context, *InviteRequest) (*InviteResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Invite not implemented")
}
func (UnimplementedOfferServiceServer) UpdateTenant(context.Context, *UpdateTenantRequest) (*UpdateTenantResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateTenant not implemented")
}
func (UnimplementedOfferServiceServer) RemoveTenant(context.Context, *RemoveTenantRequest) (*RemoveTenantResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveTenant not implemented")
}
func (UnimplementedOfferServiceServer) Update(context.Context, *UpdateRequest) (*UpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (UnimplementedOfferServiceServer) RequestChange(context.Context, *RequestChangeRequest) (*RequestChangeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RequestChange not implemented")
}
func (UnimplementedOfferServiceServer) Accept(context.Context, *AcceptRequest) (*AcceptResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Accept not implemented")
}
func (UnimplementedOfferServiceServer) Cancel(context.Context, *CancelRequest) (*CancelResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Cancel not implemented")
}
func (UnimplementedOfferServiceServer) Deny(context.Context, *DenyRequest) (*DenyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Deny not implemented")
}
func (UnimplementedOfferServiceServer) Check(context.Context, *CheckRequest) (*CheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Check not implemented")
}
func (UnimplementedOfferServiceServer) RemoveSecondLandlord(context.Context, *RemoveSecondLandlordRequest) (*RemoveSecondLandlordResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveSecondLandlord not implemented")
}
func (UnimplementedOfferServiceServer) ListNotNotified(context.Context, *ListNotNotifiedRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListNotNotified not implemented")
}
func (UnimplementedOfferServiceServer) MarkAsNotified(context.Context, *MarkAsNotifiedRequest) (*MarkAsNotifiedResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method MarkAsNotified not implemented")
}
func (UnimplementedOfferServiceServer) RequestRequiredGuarantor(context.Context, *RequestRequiredGuarantorRequest) (*RequestRequiredGuarantorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RequestRequiredGuarantor not implemented")
}
func (UnimplementedOfferServiceServer) AddGuarantors(context.Context, *AddGuarantorsRequest) (*AddGuarantorsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddGuarantors not implemented")
}
func (UnimplementedOfferServiceServer) ServicesSelect(context.Context, *SelectServicesRequest) (*SelectServicesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServicesSelect not implemented")
}
func (UnimplementedOfferServiceServer) DepositSelect(context.Context, *DepositSelectRequest) (*DepositSelectResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DepositSelect not implemented")
}
func (UnimplementedOfferServiceServer) ServicesList(context.Context, *ListServicesRequest) (*ListServicesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServicesList not implemented")
}
func (UnimplementedOfferServiceServer) Payment(context.Context, *PaymentRequest) (*PaymentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Payment not implemented")
}
func (UnimplementedOfferServiceServer) StandingOrder(context.Context, *StandingOrderRequest) (*StandingOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method StandingOrder not implemented")
}
func (UnimplementedOfferServiceServer) DirectDebit(context.Context, *DirectDebitRequest) (*DirectDebitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DirectDebit not implemented")
}
func (UnimplementedOfferServiceServer) DeleteDocument(context.Context, *DeleteDocumentRequest) (*DeleteDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteDocument not implemented")
}
func (UnimplementedOfferServiceServer) ListFilter(context.Context, *ListFilterRequest) (*ListFilterResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFilter not implemented")
}
func (UnimplementedOfferServiceServer) OfferPropertyIDFilter(context.Context, *OfferPropertyIDFilterRequest) (*OfferPropertyIDFilterResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method OfferPropertyIDFilter not implemented")
}
func (UnimplementedOfferServiceServer) ServiceGet(context.Context, *GetRequest) (*GetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceGet not implemented")
}
func (UnimplementedOfferServiceServer) ServiceUpdate(context.Context, *ServiceUpdateRequest) (*ServiceUpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceUpdate not implemented")
}
func (UnimplementedOfferServiceServer) ServiceApprove(context.Context, *ApproveRequest) (*ApproveResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceApprove not implemented")
}
func (UnimplementedOfferServiceServer) ServicePropertyList(context.Context, *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServicePropertyList not implemented")
}
func (UnimplementedOfferServiceServer) OfferCount(context.Context, *OfferCountRequest) (*OfferCountResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method OfferCount not implemented")
}
func (UnimplementedOfferServiceServer) ServiceOfferCount(context.Context, *ServiceOfferCountRequest) (*ServiceOfferCountResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceOfferCount not implemented")
}
func (UnimplementedOfferServiceServer) DeleteOffersByProperty(context.Context, *DeleteOffersByPropertyRequest) (*DeleteOffersByPropertyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOffersByProperty not implemented")
}
func (UnimplementedOfferServiceServer) FinishOffersByProperty(context.Context, *FinishOffersByPropertyRequest) (*FinishOffersByPropertyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FinishOffersByProperty not implemented")
}
func (UnimplementedOfferServiceServer) DeleteOfferById(context.Context, *DeleteOfferByIdRequest) (*DeleteOfferByIdResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOfferById not implemented")
}
func (UnimplementedOfferServiceServer) RestoreOfferById(context.Context, *RestoreOfferByIdRequest) (*RestoreOfferByIdResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RestoreOfferById not implemented")
}
func (UnimplementedOfferServiceServer) RenderCsv(context.Context, *RenderCsvRequest) (*RenderCsvResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RenderCsv not implemented")
}
func (UnimplementedOfferServiceServer) ExecuteCheck(context.Context, *ExecuteCheckRequest) (*CheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExecuteCheck not implemented")
}
func (UnimplementedOfferServiceServer) ServiceRelatedProperties(context.Context, *ServiceRelatedPropertiesRequest) (*ServiceRelatedPropertiesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceRelatedProperties not implemented")
}
func (UnimplementedOfferServiceServer) ServiceListingMigrate(context.Context, *ServiceListingMigrateRequest) (*ServiceListingMigrateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceListingMigrate not implemented")
}
func (UnimplementedOfferServiceServer) TenantCheckUpdate(context.Context, *TenantCheckUpdateRequest) (*TenantCheckUpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method TenantCheckUpdate not implemented")
}
func (UnimplementedOfferServiceServer) SetRiskReport(context.Context, *SetRiskReportRequest) (*SetRiskReportResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetRiskReport not implemented")
}
func (UnimplementedOfferServiceServer) AddContractClause(context.Context, *AddContractClauseRequest) (*AddContractClauseResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddContractClause not implemented")
}
func (UnimplementedOfferServiceServer) UpdateContractClauses(context.Context, *UpdateContractClausesRequest) (*UpdateContractClausesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateContractClauses not implemented")
}
func (UnimplementedOfferServiceServer) ChangeStateContractClauses(context.Context, *ChangeStateContractClausesRequest) (*ChangeStateContractClausesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChangeStateContractClauses not implemented")
}
func (UnimplementedOfferServiceServer) ProgressToSigning(context.Context, *ProgressToSigningRequest) (*ProgressToSigningResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ProgressToSigning not implemented")
}
func (UnimplementedOfferServiceServer) RenewTenancy(context.Context, *RenewTenancyRequest) (*RenewTenancyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RenewTenancy not implemented")
}
func (UnimplementedOfferServiceServer) AcceptUpdate(context.Context, *AcceptUpdateRequest) (*AcceptUpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AcceptUpdate not implemented")
}
func (UnimplementedOfferServiceServer) UpdateDraftContract(context.Context, *UpdateDraftContractRequest) (*UpdateDraftContractResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateDraftContract not implemented")
}
func (UnimplementedOfferServiceServer) SkipReferencingStage(context.Context, *SkipReferencingStageRequest) (*SkipReferencingStageResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SkipReferencingStage not implemented")
}
func (UnimplementedOfferServiceServer) SkipHoldingDeposit(context.Context, *SkipHoldingDepositRequest) (*SkipHoldingDepositResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SkipHoldingDeposit not implemented")
}
func (UnimplementedOfferServiceServer) ScheduledPaymentList(context.Context, *ScheduledPaymentListRequest) (*ScheduledPaymentListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ScheduledPaymentList not implemented")
}
func (UnimplementedOfferServiceServer) FilterScheduledPayments(context.Context, *FilterScheduledPaymentsRequest) (*ScheduledPaymentListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FilterScheduledPayments not implemented")
}
func (UnimplementedOfferServiceServer) ScheduledPaymentAdvanceCreate(context.Context, *ScheduledPaymentAdvanceCreateRequest) (*ScheduledPaymentAdvanceCreateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ScheduledPaymentAdvanceCreate not implemented")
}
func (UnimplementedOfferServiceServer) ScheduledPaymentAdvanceCancel(context.Context, *ScheduledPaymentAdvanceCancelRequest) (*ScheduledPaymentAdvanceCancelResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ScheduledPaymentAdvanceCancel not implemented")
}
func (UnimplementedOfferServiceServer) ScheduledPaymentSave(context.Context, *ScheduledPaymentSaveRequest) (*ScheduledPaymentSaveResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ScheduledPaymentSave not implemented")
}
func (UnimplementedOfferServiceServer) ScheduledPaymentPay(context.Context, *ScheduledPaymentPayRequest) (*ScheduledPaymentPayResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ScheduledPaymentPay not implemented")
}
func (UnimplementedOfferServiceServer) FilterScheduledDeposites(context.Context, *FilterScheduledDepositesRequest) (*FilterScheduledDepositesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FilterScheduledDeposites not implemented")
}
func (UnimplementedOfferServiceServer) ScheduledDepositUpdate(context.Context, *ScheduledDepositUpdateRequest) (*ScheduledDepositUpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ScheduledDepositUpdate not implemented")
}
func (UnimplementedOfferServiceServer) ChangeLogChangeUserName(context.Context, *ChangelogUserNameRequest) (*ChangelogGenericResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChangeLogChangeUserName not implemented")
}
func (UnimplementedOfferServiceServer) ChangeLogAdd(context.Context, *ChangelogRequest) (*ChangelogGenericResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChangeLogAdd not implemented")
}
func (UnimplementedOfferServiceServer) Payout(context.Context, *PayoutRequest) (*PayoutResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Payout not implemented")
}
func (UnimplementedOfferServiceServer) ServiceTerminate(context.Context, *ServiceTerminateRequest) (*ServiceTerminateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceTerminate not implemented")
}
func (UnimplementedOfferServiceServer) ServiceCompleteCheck(context.Context, *ServiceCompleteCheckRequest) (*ServiceCompleteCheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceCompleteCheck not implemented")
}
func (UnimplementedOfferServiceServer) CancelSigningStage(context.Context, *CancelSigningStageRequest) (*CancelSigningStageResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelSigningStage not implemented")
}
func (UnimplementedOfferServiceServer) SetAdmin(context.Context, *SetAdminRequest) (*SetAdminResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetAdmin not implemented")
}
func (UnimplementedOfferServiceServer) ServiceSetAdmin(context.Context, *ServiceSetAdminRequest) (*ServiceSetAdminResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceSetAdmin not implemented")
}
func (UnimplementedOfferServiceServer) ServiceUpdateOffersLL(context.Context, *ServiceUpdateOffersLLRequest) (*ServiceUpdateOffersLLResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ServiceUpdateOffersLL not implemented")
}
func (UnimplementedOfferServiceServer) GenerateRentPlanInsurances(context.Context, *GenerateRentPlanInsurancesRequest) (*GenerateRentPlanInsurancesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GenerateRentPlanInsurances not implemented")
}
func (UnimplementedOfferServiceServer) GenerateRentInvoices(context.Context, *GenerateRentInvoicesRequest) (*GenerateRentInvoicesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GenerateRentInvoices not implemented")
}
func (UnimplementedOfferServiceServer) GenerateRentRecords(context.Context, *GenerateRentRecordsRequest) (*GenerateRentRecordsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GenerateRentRecords not implemented")
}
func (UnimplementedOfferServiceServer) SignatureCallbackHandler(context.Context, *SignatureCallbackHandlerRequest) (*SignatureCallbackHandlerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SignatureCallbackHandler not implemented")
}
func (UnimplementedOfferServiceServer) mustEmbedUnimplementedOfferServiceServer() {}

// UnsafeOfferServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to OfferServiceServer will
// result in compilation errors.
type UnsafeOfferServiceServer interface {
	mustEmbedUnimplementedOfferServiceServer()
}

func RegisterOfferServiceServer(s grpc.ServiceRegistrar, srv OfferServiceServer) {
	s.RegisterService(&OfferService_ServiceDesc, srv)
}

func _OfferService_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Get(ctx, req.(*GetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListByProperty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListByProperty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListByProperty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListByProperty(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListByPropertyTenant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListByPropertyTenant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListByPropertyTenant",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListByPropertyTenant(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListByPropertyLandlord_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListByPropertyLandlord(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListByPropertyLandlord",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListByPropertyLandlord(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOutgoing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOutgoing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListOutgoing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOutgoing(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListIncoming_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListIncoming(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListIncoming",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListIncoming(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Create(ctx, req.(*CreateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_CreateForRenew_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateForRenewRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).CreateForRenew(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/CreateForRenew",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).CreateForRenew(ctx, req.(*CreateForRenewRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Submit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubmitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Submit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Submit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Submit(ctx, req.(*SubmitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Invite_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InviteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Invite(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Invite",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Invite(ctx, req.(*InviteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_UpdateTenant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateTenantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).UpdateTenant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/UpdateTenant",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).UpdateTenant(ctx, req.(*UpdateTenantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RemoveTenant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveTenantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RemoveTenant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RemoveTenant",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RemoveTenant(ctx, req.(*RemoveTenantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Update(ctx, req.(*UpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RequestChange_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestChangeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RequestChange(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RequestChange",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RequestChange(ctx, req.(*RequestChangeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Accept_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AcceptRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Accept(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Accept",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Accept(ctx, req.(*AcceptRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Cancel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Cancel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Cancel",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Cancel(ctx, req.(*CancelRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Deny_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DenyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Deny(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Deny",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Deny(ctx, req.(*DenyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Check_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Check(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Check",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Check(ctx, req.(*CheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RemoveSecondLandlord_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveSecondLandlordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RemoveSecondLandlord(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RemoveSecondLandlord",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RemoveSecondLandlord(ctx, req.(*RemoveSecondLandlordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListNotNotified_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListNotNotifiedRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListNotNotified(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListNotNotified",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListNotNotified(ctx, req.(*ListNotNotifiedRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_MarkAsNotified_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MarkAsNotifiedRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).MarkAsNotified(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/MarkAsNotified",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).MarkAsNotified(ctx, req.(*MarkAsNotifiedRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RequestRequiredGuarantor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestRequiredGuarantorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RequestRequiredGuarantor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RequestRequiredGuarantor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RequestRequiredGuarantor(ctx, req.(*RequestRequiredGuarantorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_AddGuarantors_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddGuarantorsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).AddGuarantors(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/AddGuarantors",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).AddGuarantors(ctx, req.(*AddGuarantorsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServicesSelect_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SelectServicesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServicesSelect(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServicesSelect",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServicesSelect(ctx, req.(*SelectServicesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_DepositSelect_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DepositSelectRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).DepositSelect(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/DepositSelect",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).DepositSelect(ctx, req.(*DepositSelectRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServicesList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListServicesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServicesList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServicesList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServicesList(ctx, req.(*ListServicesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Payment_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PaymentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Payment(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Payment",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Payment(ctx, req.(*PaymentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_StandingOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StandingOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).StandingOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/StandingOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).StandingOrder(ctx, req.(*StandingOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_DirectDebit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DirectDebitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).DirectDebit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/DirectDebit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).DirectDebit(ctx, req.(*DirectDebitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_DeleteDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).DeleteDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/DeleteDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).DeleteDocument(ctx, req.(*DeleteDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListFilter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListFilterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListFilter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ListFilter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListFilter(ctx, req.(*ListFilterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_OfferPropertyIDFilter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OfferPropertyIDFilterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).OfferPropertyIDFilter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/OfferPropertyIDFilter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).OfferPropertyIDFilter(ctx, req.(*OfferPropertyIDFilterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceGet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceGet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceGet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceGet(ctx, req.(*GetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceUpdate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceUpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceUpdate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceUpdate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceUpdate(ctx, req.(*ServiceUpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceApprove_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ApproveRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceApprove(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceApprove",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceApprove(ctx, req.(*ApproveRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServicePropertyList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServicePropertyList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServicePropertyList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServicePropertyList(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_OfferCount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OfferCountRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).OfferCount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/OfferCount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).OfferCount(ctx, req.(*OfferCountRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceOfferCount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceOfferCountRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceOfferCount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceOfferCount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceOfferCount(ctx, req.(*ServiceOfferCountRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_DeleteOffersByProperty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteOffersByPropertyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).DeleteOffersByProperty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/DeleteOffersByProperty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).DeleteOffersByProperty(ctx, req.(*DeleteOffersByPropertyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_FinishOffersByProperty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishOffersByPropertyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).FinishOffersByProperty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/FinishOffersByProperty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).FinishOffersByProperty(ctx, req.(*FinishOffersByPropertyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_DeleteOfferById_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteOfferByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).DeleteOfferById(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/DeleteOfferById",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).DeleteOfferById(ctx, req.(*DeleteOfferByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RestoreOfferById_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RestoreOfferByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RestoreOfferById(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RestoreOfferById",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RestoreOfferById(ctx, req.(*RestoreOfferByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RenderCsv_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RenderCsvRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RenderCsv(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RenderCsv",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RenderCsv(ctx, req.(*RenderCsvRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ExecuteCheck_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecuteCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ExecuteCheck(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ExecuteCheck",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ExecuteCheck(ctx, req.(*ExecuteCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceRelatedProperties_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceRelatedPropertiesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceRelatedProperties(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceRelatedProperties",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceRelatedProperties(ctx, req.(*ServiceRelatedPropertiesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceListingMigrate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceListingMigrateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceListingMigrate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceListingMigrate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceListingMigrate(ctx, req.(*ServiceListingMigrateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_TenantCheckUpdate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TenantCheckUpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).TenantCheckUpdate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/TenantCheckUpdate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).TenantCheckUpdate(ctx, req.(*TenantCheckUpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_SetRiskReport_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetRiskReportRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).SetRiskReport(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/SetRiskReport",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).SetRiskReport(ctx, req.(*SetRiskReportRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_AddContractClause_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddContractClauseRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).AddContractClause(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/AddContractClause",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).AddContractClause(ctx, req.(*AddContractClauseRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_UpdateContractClauses_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateContractClausesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).UpdateContractClauses(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/UpdateContractClauses",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).UpdateContractClauses(ctx, req.(*UpdateContractClausesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ChangeStateContractClauses_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangeStateContractClausesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ChangeStateContractClauses(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ChangeStateContractClauses",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ChangeStateContractClauses(ctx, req.(*ChangeStateContractClausesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ProgressToSigning_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ProgressToSigningRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ProgressToSigning(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ProgressToSigning",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ProgressToSigning(ctx, req.(*ProgressToSigningRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RenewTenancy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RenewTenancyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RenewTenancy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/RenewTenancy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RenewTenancy(ctx, req.(*RenewTenancyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_AcceptUpdate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AcceptUpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).AcceptUpdate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/AcceptUpdate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).AcceptUpdate(ctx, req.(*AcceptUpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_UpdateDraftContract_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateDraftContractRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).UpdateDraftContract(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/UpdateDraftContract",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).UpdateDraftContract(ctx, req.(*UpdateDraftContractRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_SkipReferencingStage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SkipReferencingStageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).SkipReferencingStage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/SkipReferencingStage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).SkipReferencingStage(ctx, req.(*SkipReferencingStageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_SkipHoldingDeposit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SkipHoldingDepositRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).SkipHoldingDeposit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/SkipHoldingDeposit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).SkipHoldingDeposit(ctx, req.(*SkipHoldingDepositRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ScheduledPaymentList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScheduledPaymentListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ScheduledPaymentList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ScheduledPaymentList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ScheduledPaymentList(ctx, req.(*ScheduledPaymentListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_FilterScheduledPayments_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilterScheduledPaymentsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).FilterScheduledPayments(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/FilterScheduledPayments",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).FilterScheduledPayments(ctx, req.(*FilterScheduledPaymentsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ScheduledPaymentAdvanceCreate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScheduledPaymentAdvanceCreateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ScheduledPaymentAdvanceCreate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ScheduledPaymentAdvanceCreate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ScheduledPaymentAdvanceCreate(ctx, req.(*ScheduledPaymentAdvanceCreateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ScheduledPaymentAdvanceCancel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScheduledPaymentAdvanceCancelRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ScheduledPaymentAdvanceCancel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ScheduledPaymentAdvanceCancel",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ScheduledPaymentAdvanceCancel(ctx, req.(*ScheduledPaymentAdvanceCancelRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ScheduledPaymentSave_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScheduledPaymentSaveRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ScheduledPaymentSave(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ScheduledPaymentSave",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ScheduledPaymentSave(ctx, req.(*ScheduledPaymentSaveRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ScheduledPaymentPay_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScheduledPaymentPayRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ScheduledPaymentPay(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ScheduledPaymentPay",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ScheduledPaymentPay(ctx, req.(*ScheduledPaymentPayRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_FilterScheduledDeposites_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FilterScheduledDepositesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).FilterScheduledDeposites(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/FilterScheduledDeposites",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).FilterScheduledDeposites(ctx, req.(*FilterScheduledDepositesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ScheduledDepositUpdate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScheduledDepositUpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ScheduledDepositUpdate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ScheduledDepositUpdate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ScheduledDepositUpdate(ctx, req.(*ScheduledDepositUpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ChangeLogChangeUserName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangelogUserNameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ChangeLogChangeUserName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ChangeLogChangeUserName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ChangeLogChangeUserName(ctx, req.(*ChangelogUserNameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ChangeLogAdd_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangelogRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ChangeLogAdd(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ChangeLogAdd",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ChangeLogAdd(ctx, req.(*ChangelogRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_Payout_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PayoutRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).Payout(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/Payout",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).Payout(ctx, req.(*PayoutRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceTerminate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceTerminateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceTerminate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceTerminate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceTerminate(ctx, req.(*ServiceTerminateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceCompleteCheck_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceCompleteCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceCompleteCheck(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceCompleteCheck",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceCompleteCheck(ctx, req.(*ServiceCompleteCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_CancelSigningStage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelSigningStageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).CancelSigningStage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/CancelSigningStage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).CancelSigningStage(ctx, req.(*CancelSigningStageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_SetAdmin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetAdminRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).SetAdmin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/SetAdmin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).SetAdmin(ctx, req.(*SetAdminRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceSetAdmin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceSetAdminRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceSetAdmin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceSetAdmin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceSetAdmin(ctx, req.(*ServiceSetAdminRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ServiceUpdateOffersLL_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceUpdateOffersLLRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ServiceUpdateOffersLL(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/ServiceUpdateOffersLL",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ServiceUpdateOffersLL(ctx, req.(*ServiceUpdateOffersLLRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_GenerateRentPlanInsurances_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GenerateRentPlanInsurancesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).GenerateRentPlanInsurances(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/GenerateRentPlanInsurances",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).GenerateRentPlanInsurances(ctx, req.(*GenerateRentPlanInsurancesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_GenerateRentInvoices_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GenerateRentInvoicesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).GenerateRentInvoices(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/GenerateRentInvoices",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).GenerateRentInvoices(ctx, req.(*GenerateRentInvoicesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_GenerateRentRecords_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GenerateRentRecordsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).GenerateRentRecords(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/GenerateRentRecords",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).GenerateRentRecords(ctx, req.(*GenerateRentRecordsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_SignatureCallbackHandler_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SignatureCallbackHandlerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).SignatureCallbackHandler(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mashroom.offer.OfferService/SignatureCallbackHandler",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).SignatureCallbackHandler(ctx, req.(*SignatureCallbackHandlerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// OfferService_ServiceDesc is the grpc.ServiceDesc for OfferService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var OfferService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "mashroom.offer.OfferService",
	HandlerType: (*OfferServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Get",
			Handler:    _OfferService_Get_Handler,
		},
		{
			MethodName: "ListByProperty",
			Handler:    _OfferService_ListByProperty_Handler,
		},
		{
			MethodName: "ListByPropertyTenant",
			Handler:    _OfferService_ListByPropertyTenant_Handler,
		},
		{
			MethodName: "ListByPropertyLandlord",
			Handler:    _OfferService_ListByPropertyLandlord_Handler,
		},
		{
			MethodName: "ListOutgoing",
			Handler:    _OfferService_ListOutgoing_Handler,
		},
		{
			MethodName: "ListIncoming",
			Handler:    _OfferService_ListIncoming_Handler,
		},
		{
			MethodName: "Create",
			Handler:    _OfferService_Create_Handler,
		},
		{
			MethodName: "CreateForRenew",
			Handler:    _OfferService_CreateForRenew_Handler,
		},
		{
			MethodName: "Submit",
			Handler:    _OfferService_Submit_Handler,
		},
		{
			MethodName: "Invite",
			Handler:    _OfferService_Invite_Handler,
		},
		{
			MethodName: "UpdateTenant",
			Handler:    _OfferService_UpdateTenant_Handler,
		},
		{
			MethodName: "RemoveTenant",
			Handler:    _OfferService_RemoveTenant_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _OfferService_Update_Handler,
		},
		{
			MethodName: "RequestChange",
			Handler:    _OfferService_RequestChange_Handler,
		},
		{
			MethodName: "Accept",
			Handler:    _OfferService_Accept_Handler,
		},
		{
			MethodName: "Cancel",
			Handler:    _OfferService_Cancel_Handler,
		},
		{
			MethodName: "Deny",
			Handler:    _OfferService_Deny_Handler,
		},
		{
			MethodName: "Check",
			Handler:    _OfferService_Check_Handler,
		},
		{
			MethodName: "RemoveSecondLandlord",
			Handler:    _OfferService_RemoveSecondLandlord_Handler,
		},
		{
			MethodName: "ListNotNotified",
			Handler:    _OfferService_ListNotNotified_Handler,
		},
		{
			MethodName: "MarkAsNotified",
			Handler:    _OfferService_MarkAsNotified_Handler,
		},
		{
			MethodName: "RequestRequiredGuarantor",
			Handler:    _OfferService_RequestRequiredGuarantor_Handler,
		},
		{
			MethodName: "AddGuarantors",
			Handler:    _OfferService_AddGuarantors_Handler,
		},
		{
			MethodName: "ServicesSelect",
			Handler:    _OfferService_ServicesSelect_Handler,
		},
		{
			MethodName: "DepositSelect",
			Handler:    _OfferService_DepositSelect_Handler,
		},
		{
			MethodName: "ServicesList",
			Handler:    _OfferService_ServicesList_Handler,
		},
		{
			MethodName: "Payment",
			Handler:    _OfferService_Payment_Handler,
		},
		{
			MethodName: "StandingOrder",
			Handler:    _OfferService_StandingOrder_Handler,
		},
		{
			MethodName: "DirectDebit",
			Handler:    _OfferService_DirectDebit_Handler,
		},
		{
			MethodName: "DeleteDocument",
			Handler:    _OfferService_DeleteDocument_Handler,
		},
		{
			MethodName: "ListFilter",
			Handler:    _OfferService_ListFilter_Handler,
		},
		{
			MethodName: "OfferPropertyIDFilter",
			Handler:    _OfferService_OfferPropertyIDFilter_Handler,
		},
		{
			MethodName: "ServiceGet",
			Handler:    _OfferService_ServiceGet_Handler,
		},
		{
			MethodName: "ServiceUpdate",
			Handler:    _OfferService_ServiceUpdate_Handler,
		},
		{
			MethodName: "ServiceApprove",
			Handler:    _OfferService_ServiceApprove_Handler,
		},
		{
			MethodName: "ServicePropertyList",
			Handler:    _OfferService_ServicePropertyList_Handler,
		},
		{
			MethodName: "OfferCount",
			Handler:    _OfferService_OfferCount_Handler,
		},
		{
			MethodName: "ServiceOfferCount",
			Handler:    _OfferService_ServiceOfferCount_Handler,
		},
		{
			MethodName: "DeleteOffersByProperty",
			Handler:    _OfferService_DeleteOffersByProperty_Handler,
		},
		{
			MethodName: "FinishOffersByProperty",
			Handler:    _OfferService_FinishOffersByProperty_Handler,
		},
		{
			MethodName: "DeleteOfferById",
			Handler:    _OfferService_DeleteOfferById_Handler,
		},
		{
			MethodName: "RestoreOfferById",
			Handler:    _OfferService_RestoreOfferById_Handler,
		},
		{
			MethodName: "RenderCsv",
			Handler:    _OfferService_RenderCsv_Handler,
		},
		{
			MethodName: "ExecuteCheck",
			Handler:    _OfferService_ExecuteCheck_Handler,
		},
		{
			MethodName: "ServiceRelatedProperties",
			Handler:    _OfferService_ServiceRelatedProperties_Handler,
		},
		{
			MethodName: "ServiceListingMigrate",
			Handler:    _OfferService_ServiceListingMigrate_Handler,
		},
		{
			MethodName: "TenantCheckUpdate",
			Handler:    _OfferService_TenantCheckUpdate_Handler,
		},
		{
			MethodName: "SetRiskReport",
			Handler:    _OfferService_SetRiskReport_Handler,
		},
		{
			MethodName: "AddContractClause",
			Handler:    _OfferService_AddContractClause_Handler,
		},
		{
			MethodName: "UpdateContractClauses",
			Handler:    _OfferService_UpdateContractClauses_Handler,
		},
		{
			MethodName: "ChangeStateContractClauses",
			Handler:    _OfferService_ChangeStateContractClauses_Handler,
		},
		{
			MethodName: "ProgressToSigning",
			Handler:    _OfferService_ProgressToSigning_Handler,
		},
		{
			MethodName: "RenewTenancy",
			Handler:    _OfferService_RenewTenancy_Handler,
		},
		{
			MethodName: "AcceptUpdate",
			Handler:    _OfferService_AcceptUpdate_Handler,
		},
		{
			MethodName: "UpdateDraftContract",
			Handler:    _OfferService_UpdateDraftContract_Handler,
		},
		{
			MethodName: "SkipReferencingStage",
			Handler:    _OfferService_SkipReferencingStage_Handler,
		},
		{
			MethodName: "SkipHoldingDeposit",
			Handler:    _OfferService_SkipHoldingDeposit_Handler,
		},
		{
			MethodName: "ScheduledPaymentList",
			Handler:    _OfferService_ScheduledPaymentList_Handler,
		},
		{
			MethodName: "FilterScheduledPayments",
			Handler:    _OfferService_FilterScheduledPayments_Handler,
		},
		{
			MethodName: "ScheduledPaymentAdvanceCreate",
			Handler:    _OfferService_ScheduledPaymentAdvanceCreate_Handler,
		},
		{
			MethodName: "ScheduledPaymentAdvanceCancel",
			Handler:    _OfferService_ScheduledPaymentAdvanceCancel_Handler,
		},
		{
			MethodName: "ScheduledPaymentSave",
			Handler:    _OfferService_ScheduledPaymentSave_Handler,
		},
		{
			MethodName: "ScheduledPaymentPay",
			Handler:    _OfferService_ScheduledPaymentPay_Handler,
		},
		{
			MethodName: "FilterScheduledDeposites",
			Handler:    _OfferService_FilterScheduledDeposites_Handler,
		},
		{
			MethodName: "ScheduledDepositUpdate",
			Handler:    _OfferService_ScheduledDepositUpdate_Handler,
		},
		{
			MethodName: "ChangeLogChangeUserName",
			Handler:    _OfferService_ChangeLogChangeUserName_Handler,
		},
		{
			MethodName: "ChangeLogAdd",
			Handler:    _OfferService_ChangeLogAdd_Handler,
		},
		{
			MethodName: "Payout",
			Handler:    _OfferService_Payout_Handler,
		},
		{
			MethodName: "ServiceTerminate",
			Handler:    _OfferService_ServiceTerminate_Handler,
		},
		{
			MethodName: "ServiceCompleteCheck",
			Handler:    _OfferService_ServiceCompleteCheck_Handler,
		},
		{
			MethodName: "CancelSigningStage",
			Handler:    _OfferService_CancelSigningStage_Handler,
		},
		{
			MethodName: "SetAdmin",
			Handler:    _OfferService_SetAdmin_Handler,
		},
		{
			MethodName: "ServiceSetAdmin",
			Handler:    _OfferService_ServiceSetAdmin_Handler,
		},
		{
			MethodName: "ServiceUpdateOffersLL",
			Handler:    _OfferService_ServiceUpdateOffersLL_Handler,
		},
		{
			MethodName: "GenerateRentPlanInsurances",
			Handler:    _OfferService_GenerateRentPlanInsurances_Handler,
		},
		{
			MethodName: "GenerateRentInvoices",
			Handler:    _OfferService_GenerateRentInvoices_Handler,
		},
		{
			MethodName: "GenerateRentRecords",
			Handler:    _OfferService_GenerateRentRecords_Handler,
		},
		{
			MethodName: "SignatureCallbackHandler",
			Handler:    _OfferService_SignatureCallbackHandler_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "mashroom_offer.proto",
}
