//go:generate go mod vendor
//go:generate protoc --go_out=. --go_opt=paths=source_relative --go-grpc_out=. --go-grpc_opt=paths=source_relative --proto_path=. --proto_path=vendor/gitlab.mashplace.com/mashplace/backend rto.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mock_api_rto -destination=mock/rto_service_client.go . RtoServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package rto - api definition
package rto // import "gitlab.mashplace.com/mashplace/backend/offer/api/rto"

import (
	_ "github.com/golang/mock/mockgen/model"

	_ "gitlab.mashplace.com/mashplace/backend/invoice/api" // required vendor
	_ "gitlab.mashplace.com/mashplace/backend/listing/api" // required vendor
)
