package mongo

import (
	"context"

	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/model"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

type historyRepository struct {
	collection *mongo.Collection
}

func NewHistoryRepository(db *mongo.Database) rto.HistoryRepository {
	return &historyRepository{
		collection: db.Collection(model.MongoOfferHistoryCollection),
	}
}

func (hr *historyRepository) Create(ctx context.Context, rtoHistory *rto.History) error {
	_, err := hr.collection.InsertOne(ctx, rtoHistory)

	return err
}

func (hr *historyRepository) DeleteByRtoID(ctx context.Context, rtoID primitive.ObjectID) (int64, error) {
	res, err := hr.collection.DeleteMany(ctx, bson.M{"offer_id": rtoID.Hex()})
	if err != nil {
		return 0, err
	}

	return res.DeletedCount, nil
}
