package service

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
)

type CreateStandingOrderInvoiceRequest struct {
	Rto             *rto.Rto
	ServiceSnapshot *extras.ServiceSnapshot
}

func (csoir *CreateStandingOrderInvoiceRequest) Validate() error {
	if csoir.Rto == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "rto")
	}
	if csoir.ServiceSnapshot == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "service_snapshot")
	}

	return nil
}
