package service

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
)

type GetServicePriceSnapshotRequest struct {
	Code  extras.ProductCode
	Price float64
}

func (gspsr *GetServicePriceSnapshotRequest) Validate() error {
	if gspsr.Code == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "code")
	}
	if gspsr.Price == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "price")
	}

	return nil
}
