package service

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type ListingUpdateTenantIDRequest struct {
	PropertyID   string
	LeadTenantID string
	LandlordID   string
}

func (lutir *ListingUpdateTenantIDRequest) Validate() error {
	if lutir.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}
	if lutir.LeadTenantID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "lead_tenant_id")
	}
	if lutir.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
