package rto

type CloseComFindLeadRequest struct {
	Limit int            `json:"limit"`
	Query *CloseComQuery `json:"query"`
}

type CloseComQuery struct {
	Negate  bool               `json:"negate"`
	Queries []*CloseComQueries `json:"queries"`
	Type    string             `json:"type"`
}

type CloseComQueries struct {
	Negate     bool          `json:"negate"`
	ObjectType string        `json:"object_type,omitempty"`
	Type       string        `json:"type"`
	Mode       string        `json:"mode,omitempty"`
	Value      string        `json:"value,omitempty"`
	Queries    []interface{} `json:"queries,omitempty"`
}

func NewCloseComFindLeadRequest(landlordID string) *CloseComFindLeadRequest {
	return &CloseComFindLeadRequest{
		Limit: 1,
		Query: &CloseComQuery{
			Negate: false,
			Queries: []*CloseComQueries{
				{
					Negate:     false,
					ObjectType: "lead",
					Type:       "object_type",
				},
				{
					Mode:   "beginning_of_words",
					Negate: false,
					Type:   "text",
					Value:  landlordID,
				},
				{
					Negate:     false,
					ObjectType: "lead",
					Type:       "and",
				},
			},
			Type: "and",
		},
	}
}
