package rto

import (
	"fmt"
	"time"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	api "gitlab.mashplace.com/mashplace/backend/offer/api/rto"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
)

type CloseComSaveOpportunityRequest struct {
	RtoPreviousStateDate time.Time
	Rto                  *domain.Rto
	RtoPreviousState     api.RtoState
}

func (ccsor *CloseComSaveOpportunityRequest) Validate() error {
	if ccsor.Rto == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "rto")
	}

	return nil
}

func CreateCloseComSaveOpportunityRequest(rto *domain.Rto) *CloseComSaveOpportunityRequest {
	return &CloseComSaveOpportunityRequest{
		RtoPreviousStateDate: rto.UpdatedAt,
		RtoPreviousState:     rto.State,
		Rto:                  rto,
	}
}
