package daemon

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
)

type SendRemindAboutEndOfTenancyDateRequest struct {
	NotificationType rto.NotificationType
	DateColumnName   rto.DateColumnName
	DateFromHours    int32
	DateToHours      int32
}

func (sraeotdr *SendRemindAboutEndOfTenancyDateRequest) Validate() error {
	if sraeotdr.NotificationType == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "notification_type")
	}
	if sraeotdr.DateFromHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_from_hours")
	}
	if sraeotdr.DateToHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_to_hours")
	}
	if sraeotdr.DateColumnName == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_column_name")
	}

	return nil
}
