package daemon

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
)

type SendRemindAboutWaitingForStandingOrderSetupRequest struct {
	NotificationType rto.NotificationType
	DateColumnName   rto.DateColumnName
	DateSubHours     int
	DateFromHours    int32
	DateToHours      int32
}

func (srawfsosr *SendRemindAboutWaitingForStandingOrderSetupRequest) Validate() error {
	if srawfsosr.NotificationType == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "notification_type")
	}
	if srawfsosr.DateFromHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_from_hours")
	}
	if srawfsosr.DateToHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_to_hours")
	}
	if srawfsosr.DateSubHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_sub_hours")
	}
	if srawfsosr.DateColumnName == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_column_name")
	}

	return nil
}
