package rto

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type SendWaitingForStandingOrderSetupRequest struct {
	ID          string
	LandlordID  string
	TenantID    string
	TenantEmail string
	PropertyID  string
}

func (stwfsosr *SendWaitingForStandingOrderSetupRequest) Validate() error {
	if stwfsosr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if stwfsosr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if stwfsosr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}
	if stwfsosr.TenantID == "" && stwfsosr.TenantEmail == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "tenant_id or tenant_email")
	}

	return nil
}
