package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	"gitlab.mashplace.com/mashplace/backend/offer/api/rto"
)

type GetByLandlordIDRequest struct {
	LandlordID string
	States     []rto.RtoState
}

func (gbpir *GetByLandlordIDRequest) Validate() error {
	if len(gbpir.LandlordID) == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
