package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type GetByPropertyIDRequest struct {
	PropertyID string
	UserID     string
}

func (gbpir *GetByPropertyIDRequest) Validate() error {
	if gbpir.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}
	if gbpir.UserID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "user_id")
	}

	return nil
}
