package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type GetByPropertyIDsRequest struct {
	UserID      string
	PropertyIDs []string
}

func (gbpir *GetByPropertyIDsRequest) Validate() error {
	if len(gbpir.PropertyIDs) == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_ids")
	}
	if gbpir.UserID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "user_id")
	}

	return nil
}
