package usecase

import (
	"fmt"
	"time"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type UpdateEndDateRequest struct {
	EndDate    time.Time
	ID         string
	LandlordID string
}

func (uedr *UpdateEndDateRequest) Validate() error {
	if uedr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if uedr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if uedr.EndDate.IsZero() {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "end_date")
	}

	return nil
}
