package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
)

type UpdateLeadTenantRequest struct {
	LeadTenantID    string
	LeadTenantEmail string
}

func (ultr *UpdateLeadTenantRequest) Validate() error {
	if ultr.LeadTenantID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "lead_tenant_id")
	}
	if ultr.LeadTenantEmail == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "lead_tenant_email")
	}

	return nil
}
