package usecase

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/lib/constants"
	"gitlab.mashplace.com/mashplace/backend/offer/api/rto"
)

type UpdateRentPlanRequest struct {
	ID         string
	LandlordID string
	RentPlan   rto.RentPlan
}

func (urpr *UpdateRentPlanRequest) Validate() error {
	if urpr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if urpr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if urpr.RentPlan == rto.RentPlan_RENT_PLAN_UNKNOWN {
		return fmt.Errorf("bad rent_plan value: %s", urpr.RentPlan)
	}

	return nil
}
