package rto

import (
	api "gitlab.mashplace.com/mashplace/backend/offer/api/rto"
)

type Tenant struct {
	User         string `bson:"user"`
	FirstName    string `bson:"first_name"`
	LastName     string `bson:"last_name"`
	EmailPrimary string `bson:"email_primary"`
	PhonePrimary string `bson:"phone_primary"`
}

func (t *Tenant) GetTenants() []*Tenant {
	return []*Tenant{
		{
			User:         t.User,
			FirstName:    t.FirstName,
			LastName:     t.LastName,
			EmailPrimary: t.EmailPrimary,
			PhonePrimary: t.PhonePrimary,
		},
	}
}

func CreateApiTenant(tenant *Tenant) *api.Tenant {
	if tenant != nil {
		return &api.Tenant{
			User:         tenant.User,
			FirstName:    tenant.FirstName,
			LastName:     tenant.LastName,
			EmailPrimary: tenant.EmailPrimary,
			PhonePrimary: tenant.PhonePrimary,
		}
	}

	return nil
}
