package repository

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	repositorymongo "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/repository/mongo"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/domain/rto/repository/history"

	"go.mongodb.org/mongo-driver/mongo"
)

func NewHistoryRepository(logger loggerservice.Logger, db *mongo.Database) domain.HistoryRepository {
	interfaceName := "HistoryRepository"
	r := repositorymongo.NewHistoryRepository(db)
	r = history.NewLoggingMiddleware(r, interfaceName, logger)
	r = history.NewTracingMiddleware(r, interfaceName)

	return r
}
