package repository

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	repositorymongo "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/repository/mongo"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/domain/rto/repository/rto"

	"go.mongodb.org/mongo-driver/mongo"
)

func NewRepository(logger loggerservice.Logger, db *mongo.Database) domain.Repository {
	interfaceName := "RtoRepository"
	r := repositorymongo.NewRepository(db)
	r = rto.NewLoggingMiddleware(r, interfaceName, logger)
	r = rto.NewTracingMiddleware(r, interfaceName)

	return r
}
