package service

import (
	accountApi "gitlab.mashplace.com/mashplace/backend/account/api"
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/account"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
)

func NewAccountService(logger loggerservice.Logger,
	accountServiceClient accountApi.AccountServiceClient) appservice.AccountService {
	interfaceName := "AccountService"
	srv := appservice.NewAccountService(accountServiceClient)
	srv = account.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = account.NewTracingMiddleware(srv, interfaceName)

	return srv
}
