package service

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	extrasApi "gitlab.mashplace.com/mashplace/backend/extras/api"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/extras"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
)

func NewExtrasService(logger loggerservice.Logger,
	extrasServiceClient extrasApi.ExtrasServiceClient) appservice.ExtrasService {
	interfaceName := "ExtrasService"
	srv := appservice.NewExtrasService(extrasServiceClient)
	srv = extras.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = extras.NewTracingMiddleware(srv, interfaceName)

	return srv
}
