package service

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	invoiceApi "gitlab.mashplace.com/mashplace/backend/invoice/api"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/invoice"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
)

func NewInvoiceService(logger loggerservice.Logger,
	invoiceServiceClient invoiceApi.InvoiceServiceClient) appservice.InvoiceService {
	interfaceName := "InvoiceService"
	srv := appservice.NewInvoiceService(invoiceServiceClient)
	srv = invoice.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = invoice.NewTracingMiddleware(srv, interfaceName)

	return srv
}
