package service

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	listingApi "gitlab.mashplace.com/mashplace/backend/listing/api"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/listing"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
)

func NewListingService(logger loggerservice.Logger,
	accountServiceClient listingApi.ListingServiceClient) appservice.ListingService {
	interfaceName := "ListingService"
	srv := appservice.NewListingService(accountServiceClient)
	srv = listing.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = listing.NewTracingMiddleware(srv, interfaceName)

	return srv
}
