package rto

import (
	"gitlab.mashplace.com/mashplace/backend/common/lib/httpclient"
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	"gitlab.mashplace.com/mashplace/backend/common/lib/marshallunmarshall"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/rto/closecom"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
)

func NewCloseComService(logger loggerservice.Logger,
	httpClient httpclient.HTTPClient,
	marshallUnmarshall marshallunmarshall.MarshalUnmarshal) service.CloseComService {
	interfaceName := "CloseComService"
	srv := service.NewCloseComService(httpClient, marshallUnmarshall)
	srv = closecom.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = closecom.NewTracingMiddleware(srv, interfaceName)

	return srv
}
