package daemon

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/rto/daemon/finish"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto/daemon"
	usecaserto "gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewFinishService(logger loggerservice.Logger,
	repository domain.Repository,
	updateStateToFinishedUseCase usecaserto.UpdateStateToFinishedUseCase) service.FinishService {
	interfaceName := "FinishService"
	srv := service.NewFinishService(repository, updateStateToFinishedUseCase)
	srv = finish.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = finish.NewTracingMiddleware(srv, interfaceName)

	return srv
}
