package daemon

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	notificationApi "gitlab.mashplace.com/mashplace/backend/notification/api"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/rto/daemon/notification"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto/daemon"
)

func NewNotificationService(logger loggerservice.Logger,
	notificationServiceClient notificationApi.NotificationServiceClient,
	repository domain.Repository) service.NotificationService {
	interfaceName := "NotificationService"
	srv := service.NewNotificationService(notificationServiceClient, repository)
	srv = notification.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = notification.NewTracingMiddleware(srv, interfaceName)

	return srv
}
