package daemon

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/rto/daemon/updateleadtenantuser"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto/daemon"
	usecaserto "gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateLeadTenantUserService(logger loggerservice.Logger,
	repository domain.Repository,
	updateLeadTenantUserUseCase usecaserto.UpdateLeadTenantUserUseCase,
	listingService appservice.ListingService) service.UpdateLeadTenantUserService {
	interfaceName := "UpdateLeadTenantUserService"
	srv := service.NewUpdateLeadTenantUserService(repository, updateLeadTenantUserUseCase, listingService)
	srv = updateleadtenantuser.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = updateleadtenantuser.NewTracingMiddleware(srv, interfaceName)

	return srv
}
