package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/service/rto/security"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
)

func NewSecurityService(logger loggerservice.Logger,
	repository domain.Repository,
	accountService appservice.AccountService) service.SecurityService {
	interfaceName := "SecurityService"
	srv := service.NewSecurityService(repository, accountService)
	srv = security.NewLoggingMiddleware(srv, interfaceName, logger)
	srv = security.NewTracingMiddleware(srv, interfaceName)

	return srv
}
