package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/answerfromtenant"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewAnswerFromTenantUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	securityService service.SecurityService,
	invoiceService appservice.InvoiceService,
	extrasService appservice.ExtrasService,
	notificationService service.NotificationService,
	closeComService service.CloseComService) rto.AnswerFromTenantUseCase {
	interfaceName := "AnswerFromTenantUseCase"
	useCase := rto.NewAnswerFromTenantUseCase(repository, historyRepository, securityService, invoiceService,
		extrasService, notificationService, closeComService)
	useCase = answerfromtenant.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = answerfromtenant.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
