package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/create"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewCreateUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	accountService appservice.AccountService,
	listingService appservice.ListingService,
	closeComService service.CloseComService) rto.CreateUseCase {
	interfaceName := "CreateUseCase"
	useCase := rto.NewCreateUseCase(repository, historyRepository, accountService, listingService, closeComService)
	useCase = create.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = create.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
