package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/createbyguest"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewCreateByGuestUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	listingService appservice.ListingService) rto.CreateByGuestUseCase {
	interfaceName := "CreateByGuestUseCase"
	useCase := rto.NewCreateByGuestUseCase(repository, historyRepository, listingService)
	useCase = createbyguest.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = createbyguest.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
