package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/createtenancy"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewCreateTenancyUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	securityService service.SecurityService,
	accountService appservice.AccountService) rto.CreateTenancyUseCase {
	interfaceName := "CreateTenancyUseCase"
	useCase := rto.NewCreateTenancyUseCase(repository, historyRepository, securityService, accountService)
	useCase = createtenancy.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = createtenancy.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
