package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/getbylandlordid"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewGetByLandlordIDUseCase(logger loggerservice.Logger,
	repository domain.Repository) rto.GetByLandlordIDUseCase {
	interfaceName := "GetByLandlordIDUseCase"
	useCase := rto.NewGetByLandlordIDUseCase(repository)
	useCase = getbylandlordid.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = getbylandlordid.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
