package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/getbypropertyid"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewGetByPropertyIDUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	securityService service.SecurityService) rto.GetByPropertyIDUseCase {
	interfaceName := "GetByPropertyIDUseCase"
	useCase := rto.NewGetByPropertyIDUseCase(repository, securityService)
	useCase = getbypropertyid.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = getbypropertyid.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
