package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/getbypropertyids"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewGetByPropertyIDsUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	securityService service.SecurityService) rto.GetByPropertyIDsUseCase {
	interfaceName := "GetByPropertyIDsUseCase"
	useCase := rto.NewGetByPropertyIDsUseCase(repository, securityService)
	useCase = getbypropertyids.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = getbypropertyids.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
