package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/landlordapproved"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewLandlordApprovedUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	listingService appservice.ListingService,
	updateStateToWaitingForTenantConfirmationUseCase rto.UpdateStateToWaitingForTenantConfirmationUseCase,
) rto.LandlordApprovedUseCase {
	interfaceName := "LandlordApprovedUseCase"
	useCase := rto.NewLandlordApprovedUseCase(repository, listingService,
		updateStateToWaitingForTenantConfirmationUseCase)
	useCase = landlordapproved.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = landlordapproved.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
