package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/renewal"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewRenewalUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	securityService service.SecurityService) rto.RenewalUseCase {
	interfaceName := "RenewalUseCase"
	useCase := rto.NewRenewalUseCase(repository, historyRepository, securityService)
	useCase = renewal.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = renewal.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
