package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/rentpayment"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewRentPaymentUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	accountService appservice.AccountService,
	listingService appservice.ListingService,
	closeComService service.CloseComService,
	updateStateToWaitingForTenantConfirmationUseCase rto.UpdateStateToWaitingForTenantConfirmationUseCase,
) rto.RentPaymentUseCase {
	interfaceName := "RentPaymentUseCase"
	useCase := rto.NewRentPaymentUseCase(repository, accountService,
		listingService, closeComService, updateStateToWaitingForTenantConfirmationUseCase)
	useCase = rentpayment.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = rentpayment.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
