package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/standingorder"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewStandingOrderUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository) rto.StandingOrderUseCase {
	interfaceName := "StandingOrderUseCase"
	useCase := rto.NewStandingOrderUseCase(repository, historyRepository)
	useCase = standingorder.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = standingorder.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
