package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updateenddate"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateEndDateUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	securityService service.SecurityService,
	closeComService service.CloseComService) rto.UpdateEndDateUseCase {
	interfaceName := "UpdateEndDateUseCase"
	useCase := rto.NewUpdateEndDateUseCase(repository, historyRepository, securityService, closeComService)
	useCase = updateenddate.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updateenddate.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
