package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatelandlord"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateLandlordUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	accountService appservice.AccountService) rto.UpdateLandlordUseCase {
	interfaceName := "UpdateLandlordUseCase"
	useCase := rto.NewUpdateLandlordUseCase(repository, historyRepository, accountService)
	useCase = updatelandlord.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatelandlord.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
