package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updateleadtenant"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateLeadTenantUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	listingService service.ListingService) rto.UpdateLeadTenantUseCase {
	interfaceName := "UpdateLeadTenantUseCase"
	useCase := rto.NewUpdateLeadTenantUseCase(repository, historyRepository, listingService)
	useCase = updateleadtenant.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updateleadtenant.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
