package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updateleadtenantuser"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateLeadTenantUserUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	accountService service.AccountService,
	listingService service.ListingService) rto.UpdateLeadTenantUserUseCase {
	interfaceName := "UpdateLeadTenantUserUseCase"
	useCase := rto.NewUpdateLeadTenantUserUseCase(repository, historyRepository, accountService, listingService)
	useCase = updateleadtenantuser.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updateleadtenantuser.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
