package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updaterentplan"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateRentPlanUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	securityService service.SecurityService) rto.UpdateRentPlanUseCase {
	interfaceName := "UpdateRentPlanUseCase"
	useCase := rto.NewUpdateRentPlanUseCase(repository, historyRepository, securityService)
	useCase = updaterentplan.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updaterentplan.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
