package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetoactive"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToActiveUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	notificationService service.NotificationService,
	closeComService service.CloseComService) rto.UpdateStateToActiveUseCase {
	interfaceName := "UpdateStateToActiveUseCase"
	useCase := rto.NewUpdateStateToActiveUseCase(repository, historyRepository, notificationService, closeComService)
	useCase = updatestatetoactive.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetoactive.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
