package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetoactiverollingtenancy"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToActiveRollingTenancyUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	closeComService service.CloseComService) rto.UpdateStateToActiveRollingTenancyUseCase {
	interfaceName := "UpdateStateToActiveRollingTenancyUseCase"
	useCase := rto.NewUpdateStateToActiveRollingTenancyUseCase(repository, historyRepository, closeComService)
	useCase = updatestatetoactiverollingtenancy.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetoactiverollingtenancy.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
