package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetocancelled"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToCancelledUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	closeComService service.CloseComService) rto.UpdateStateToCancelledUseCase {
	interfaceName := "UpdateStateToCancelledUseCase"
	useCase := rto.NewUpdateStateToCancelledUseCase(repository, historyRepository, closeComService)
	useCase = updatestatetocancelled.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetocancelled.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
