package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetoending"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToEndingUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	closeComService service.CloseComService) rto.UpdateStateToEndingUseCase {
	interfaceName := "UpdateStateToEndingUseCase"
	useCase := rto.NewUpdateStateToEndingUseCase(repository, historyRepository, closeComService)
	useCase = updatestatetoending.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetoending.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
