package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetofinished"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToFinishedUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	closeComService service.CloseComService) rto.UpdateStateToFinishedUseCase {
	interfaceName := "UpdateStateToFinishedUseCase"
	useCase := rto.NewUpdateStateToFinishedUseCase(repository, historyRepository, closeComService)
	useCase = updatestatetofinished.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetofinished.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
