package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetowaitingforpayment"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToWaitingForPaymentUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	notificationService service.NotificationService,
	closeComService service.CloseComService,
	listingService appservice.ListingService) rto.UpdateStateToWaitingForPaymentUseCase {
	interfaceName := "UpdateStateToWaitingForPaymentUseCase"
	useCase := rto.NewUpdateStateToWaitingForPaymentUseCase(repository, historyRepository, notificationService,
		closeComService, listingService)
	useCase = updatestatetowaitingforpayment.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetowaitingforpayment.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
