package rto

import (
	loggerservice "gitlab.mashplace.com/mashplace/backend/common/lib/logger/service"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/middleware/usecase/rto/updatestatetowaitingfortenantconfirmation" //nolint
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"
)

func NewUpdateStateToWaitingForTenantConfirmationUseCase(logger loggerservice.Logger,
	repository domain.Repository,
	historyRepository domain.HistoryRepository,
	updateLeadTenantUserUseCase rto.UpdateLeadTenantUserUseCase,
	notificationService service.NotificationService,
	closeComService service.CloseComService,
	listingService appservice.ListingService) rto.UpdateStateToWaitingForTenantConfirmationUseCase {
	interfaceName := "UpdateStateToWaitingForTenantConfirmationUseCase"
	useCase := rto.NewUpdateStateToWaitingForTenantConfirmationUseCase(repository, historyRepository,
		updateLeadTenantUserUseCase, notificationService, closeComService, listingService)
	useCase = updatestatetowaitingfortenantconfirmation.NewLoggingMiddleware(useCase, interfaceName, logger)
	useCase = updatestatetowaitingfortenantconfirmation.NewTracingMiddleware(useCase, interfaceName)

	return useCase
}
