package extras

import (
	"context"

	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/service"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               appservice.ExtrasService
	middlewareAbleName string
}

func NewTracingMiddleware(s appservice.ExtrasService, middlewareAbleName string) appservice.ExtrasService {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) GetServicePriceSnapshot(ctx context.Context, req *request.GetServicePriceSnapshotRequest) (
	*extras.ServiceSnapshot, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" GetServicePriceSnapshot")
	defer span.Finish()

	return s.next.GetServicePriceSnapshot(ctx, req)
}
