package invoice

import (
	"context"

	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/service"
	appservice "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               appservice.InvoiceService
	middlewareAbleName string
}

func NewTracingMiddleware(s appservice.InvoiceService, middlewareAbleName string) appservice.InvoiceService {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) CreateStandingOrderInvoice(ctx context.Context,
	req *request.CreateStandingOrderInvoiceRequest) (string, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" CreateStandingOrderInvoice")
	defer span.Finish()

	return s.next.CreateStandingOrderInvoice(ctx, req)
}
