package updatelandlord

import (
	"context"

	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/usecase"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/response"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               rto.UpdateLandlordUseCase
	middlewareAbleName string
}

func NewTracingMiddleware(s rto.UpdateLandlordUseCase,
	middlewareAbleName string) rto.UpdateLandlordUseCase {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) UpdateLandlord(ctx context.Context, req *request.UpdateLandlordRequest) (
	*response.RtoResponse, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" UpdateLandlord")
	defer span.Finish()

	return s.next.UpdateLandlord(ctx, req)
}
