package updateleadtenantuser

import (
	"context"

	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/usecase"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/response"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               rto.UpdateLeadTenantUserUseCase
	middlewareAbleName string
}

func NewTracingMiddleware(s rto.UpdateLeadTenantUserUseCase,
	middlewareAbleName string) rto.UpdateLeadTenantUserUseCase {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) UpdateLeadTenantUser(ctx context.Context, req *request.UpdateLeadTenantUserRequest) (
	*response.RtoResponse, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" UpdateLeadTenantUser")
	defer span.Finish()

	return s.next.UpdateLeadTenantUser(ctx, req)
}
