package updatestatetoactiverollingtenancy

import (
	"context"

	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/usecase"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/response"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               rto.UpdateStateToActiveRollingTenancyUseCase
	middlewareAbleName string
}

func NewTracingMiddleware(s rto.UpdateStateToActiveRollingTenancyUseCase,
	middlewareAbleName string) rto.UpdateStateToActiveRollingTenancyUseCase {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) UpdateStateToActiveRollingTenancy(ctx context.Context,
	req *request.UpdateStateToActiveRollingTenancyRequest) (*response.RtoResponse, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" UpdateStateToActiveRollingTenancy")
	defer span.Finish()

	return s.next.UpdateStateToActiveRollingTenancy(ctx, req)
}
