package updatestatetocancelled

import (
	"context"

	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/usecase"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/response"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               rto.UpdateStateToCancelledUseCase
	middlewareAbleName string
}

func NewTracingMiddleware(s rto.UpdateStateToCancelledUseCase,
	middlewareAbleName string) rto.UpdateStateToCancelledUseCase {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) UpdateStateToCancelled(ctx context.Context, req *request.UpdateStateToCancelledRequest) (
	*response.RtoResponse, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" UpdateStateToCancelled")
	defer span.Finish()

	return s.next.UpdateStateToCancelled(ctx, req)
}
