package updatestatetowaitingfortenantconfirmation

import (
	"context"

	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/usecase"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/response"
	"gitlab.mashplace.com/mashplace/backend/offer/internal/app/usecase/rto"

	"github.com/opentracing/opentracing-go"
)

type tracingMiddleware struct {
	next               rto.UpdateStateToWaitingForTenantConfirmationUseCase
	middlewareAbleName string
}

func NewTracingMiddleware(s rto.UpdateStateToWaitingForTenantConfirmationUseCase,
	middlewareAbleName string) rto.UpdateStateToWaitingForTenantConfirmationUseCase {
	return &tracingMiddleware{
		next:               s,
		middlewareAbleName: middlewareAbleName,
	}
}

func (s *tracingMiddleware) UpdateStateToWaitingForTenantConfirmation(ctx context.Context,
	req *request.UpdateStateToWaitingForTenantConfirmationRequest) (*response.RtoResponse, error) {
	span, ctx := opentracing.StartSpanFromContext(
		ctx, s.middlewareAbleName+" UpdateStateToWaitingForTenantConfirmation")
	defer span.Finish()

	return s.next.UpdateStateToWaitingForTenantConfirmation(ctx, req)
}
