package service

import (
	"context"

	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	request "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto/resource/request/service"
)

type ExtrasService interface {
	GetServicePriceSnapshot(ctx context.Context, req *request.GetServicePriceSnapshotRequest) (
		*extras.ServiceSnapshot, error)
}

type extrasService struct {
	client extras.ExtrasServiceClient
}

func NewExtrasService(extrasServiceClient extras.ExtrasServiceClient) ExtrasService {
	return &extrasService{
		client: extrasServiceClient,
	}
}

func (es *extrasService) GetServicePriceSnapshot(ctx context.Context,
	req *request.GetServicePriceSnapshotRequest) (*extras.ServiceSnapshot, error) {
	return extras.GetServicePriceSnapshot(ctx, es.client, req.Code, req.Price)
}
