package daemon_test

import (
	"context"
	"os"
	"testing"

	"gitlab.mashplace.com/mashplace/backend/common/lib/httpclient/fasthttpclient"
	"gitlab.mashplace.com/mashplace/backend/common/lib/marshallunmarshall/jsoniterlocal"
	domain "gitlab.mashplace.com/mashplace/backend/offer/internal/app/domain/rto"
	service "gitlab.mashplace.com/mashplace/backend/offer/internal/app/service/rto"
	"gitlab.mashplace.com/mashplace/backend/offer/test"
)

var (
	ctx               context.Context
	repository        domain.Repository
	historyRepository domain.HistoryRepository
	closeComService   service.CloseComService
)

func TestMain(m *testing.M) {
	mySetupFunction()
	retCode := m.Run()
	myTeardownFunction()
	os.Exit(retCode)
}

func mySetupFunction() {
	println("start service rto daemon package testing")

	ctx, repository, historyRepository = test.InitRtoTests(test.TestConfigPathForRtoServicesDaemon)

	httpClient := fasthttpclient.NewHTTPClient(5, 5)
	marshallUnmarshall := jsoniterlocal.NewMarshalUnmarshal()

	closeComService = service.NewCloseComService(httpClient, marshallUnmarshall)
}

func myTeardownFunction() {
	println("success end service rto daemon package testing")
}
