package hourly

import (
	"context"

	"gitlab.mashplace.com/mashplace/backend/offer/internal/synchronization"
	"gitlab.mashplace.com/mashplace/backend/offer/model"
)

func consumeReminderHourlySynchronize(ctx context.Context) error {
	ms, err := model.OfferUnsynchronizedList(ctx)
	if err != nil {
		return err
	}

	for _, m := range ms {
		var tenant string

		if len(m.Tenants) == 0 {
			continue
		}

		tenant = m.Tenants[0].User

		if len(tenant) == 0 {
			continue
		}

		synchronization.ServiceOfferSyncListing(
			ctx,
			m.ID,
			&m.Sync,
			m.Property,
			m.PropertyListing,
			tenant,
			m.State,
		)
	}

	return nil
}
