package model

import "gitlab.mashplace.com/mashplace/backend/common/generic/env"

var (
	// MongoURL contains network address of Mongo database server.
	MongoURL = env.ResolveString("MONGO_URL", "mongodb:27017")
	// MongoUsername contains Mongo user name.
	MongoUsername = env.ResolveString("MONGO_USERNAME", "offer-data")
	// MongoPassword contains Mongo user password.
	MongoPassword = env.ResolveString("MONGO_PASSWORD", "offer-data")
	// MongoAuthDb contains Mongo auth DB name used to authenticate user when establishing connection.
	MongoAuthDb = env.ResolveString("MONGO_AUTH", "admin")
	// MongoDB contains Mongo database name.
	MongoDB = env.ResolveString("MONGO_DATABASE", "offer-data")
	// MongoSSLMode contains Mongo SSL mode.
	MongoSSLMode = env.ResolveBool("MONGO_SSL_MODE", false)
)
