package model

import (
	"fmt"

	"gitlab.mashplace.com/mashplace/backend/common/api/grpcerr"
	offer "gitlab.mashplace.com/mashplace/backend/offer/api"
)

// Generic package error
var (
	ErrNoTenant                     = grpcerr.New(grpcerr.InvalidData, "no such tenant")
	ErrNoGuarantor                  = grpcerr.New(grpcerr.InvalidData, "no such guarantor")
	ErrInvalidTenantEmail           = grpcerr.New(grpcerr.InvalidData, "invalid tenant email")
	ErrInvalidGuarantorEmail        = grpcerr.New(grpcerr.InvalidData, "invalid guarantor email")
	ErrNonUniqueTenantEmail         = grpcerr.New(grpcerr.InvalidData, "please select different emails for different tenants")
	ErrNonUniqueGuarantorEmail      = grpcerr.New(grpcerr.InvalidData, "non-unique guarantor email")
	ErrInvalidOffer                 = grpcerr.New(grpcerr.InvalidState, "invalid offer")
	ErrLandlordAlreadyExsistByNames = grpcerr.New(grpcerr.InvalidData,
		"the landlord is already exist by the first name and the last name")
	ErrLandlordAlreadyExsistByEmail = grpcerr.New(grpcerr.InvalidData,
		"the landlord is already exist by the primary email")
	ErrLandlordAlreadyExsistByPhone = grpcerr.New(grpcerr.InvalidData,
		"the landlord is already exist by the primary phone")
	ErrInvalidRentPaymentDay = grpcerr.New(
		grpcerr.InvalidData,
		fmt.Sprintf(
			"rent payment day must be only in range from %d to %d",
			offer.FirstRentPaymentDay,
			offer.LastRentPaymentDay,
		),
	)
)
